$(() => {
$('#text-box').dxTextBox({
value: 'UI Superhero',
valueChangeEvent: 'keyup',
maxLength: 40,
onValueChanged(e) {
$('.text').text(e.value);
},
});
$('#color-box').dxColorBox({
value: '#f05b41',
applyValueMode: 'instantly',
onValueChanged(e) {
$('.color').css('fill', e.value);
$('.text').css('color', e.value);
$('.picture-container').css('outline-color', e.value);
},
});
const widthInstance = $('#number-box-width').dxNumberBox({
showSpinButtons: true,
value: 370,
max: 700,
min: 70,
format: '#0px',
onValueChanged(e) {
const width = e.value;
$('svg').width(width);
heightInstance.option('value', (width * 26) / 37);
},
}).dxNumberBox('instance');
const heightInstance = $('#number-box-height').dxNumberBox({
showSpinButtons: true,
value: 260,
max: 700,
min: 70,
format: '#0px',
onValueChanged(e) {
const height = e.value;
$('svg').height(height);
widthInstance.option('value', (height * 37) / 26);
},
}).dxNumberBox('instance');
$('#select-box').dxSelectBox({
items: [
{
key: 'Flip',
items: [
{ name: '0 degrees', value: 'scaleX(1)' },
{ name: '180 degrees', value: 'scaleX(-1)' },
],
},
{
key: 'Rotate',
items: [
{ name: '0 degrees', value: 'rotate(0)' },
{ name: '15 degrees', value: 'rotate(15deg)' },
{ name: '30 degrees', value: 'rotate(30deg)' },
{ name: '-15 degrees', value: 'rotate(-15deg)' },
{ name: '-30 degrees', value: 'rotate(-30deg)' },
],
},
],
valueExpr: 'value',
displayExpr: 'name',
grouped: true,
value: 'scaleX(1)',
onValueChanged(e) {
$('.picture').css('transform', e.value);
},
});
$('#switch').dxSwitch({
value: false,
onValueChanged(e) {
$('.picture-container').css('outline-style', e.value ? 'solid' : 'none');
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.3/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.2.3/js/dx.all.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="settings">
<div class="column">
<div class="field">
<div class="label">Title</div>
<div class="value">
<div id="text-box"></div>
</div>
</div>
<div class="field">
<div class="label">Color</div>
<div class="value">
<div id="color-box"></div>
</div>
</div>
</div>
<div class="column">
<div class="field">
<div class="label">Width</div>
<div class="value">
<div id="number-box-width"></div>
</div>
</div>
<div class="field">
<div class="label">Height</div>
<div class="value">
<div id="number-box-height"></div>
</div>
</div>
</div>
<div class="column">
<div class="field">
<div class="label">Transform</div>
<div class="value">
<div id="select-box"></div>
</div>
</div>
<div class="field">
<div class="label">Border</div>
<div class="value">
<div id="switch"></div>
</div>
</div>
</div>
</div>
<div class="picture-container">
<div class="picture">
<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="370px" height="260px" viewBox="0 0 370 260">
<g>
<path
class="color"
d="M242.694,150.939c-0.861,0.656-1.819,0.915-2.875,0.78c-0.657-1.19-1.777-1.907-2.942-2.017
c-0.34-2.188-2.7-3.496-4.938-2.304c0.002-0.013,0.007-0.023,0.007-0.034c0.554-2.685-2.365-4.228-4.579-3.51
c-1.256,0.409-2.38,0.966-3.424,1.613c0.338-1.628,0.396-3.326-0.014-5.133c-0.588-2.578-3.092-3.572-5.315-2.18
c-1.551,0.969-2.982,2.08-4.35,3.271c2.348-3.47,4.315-7.176,5.359-11.471c0.576-2.372-2.284-4.158-4.3-3.296
c-1.739,0.746-3.359,1.621-4.891,2.597c1.028-1.794,1.977-3.639,2.795-5.568c1.188-2.8-2.344-5.685-4.762-3.649
c-5.884,4.955-11.146,10.422-16.21,16.137c2.368-3.929,4.446-8.02,5.88-12.475c0.971-3.012-2.062-5.27-4.7-3.602
c-6.807,4.302-12.4,9.738-17.547,15.614c2.373-5.129,4.011-10.486,4.105-16.298c0.046-2.834-3.08-4.374-5.081-2.121
c-7.114,8.019-13.298,16.692-19.181,25.583c2.527-7.618,4.654-15.322,4.816-23.453c0.055-2.729-3.565-5.099-5.44-2.271
c-5.529,8.344-9.471,17.476-13.1,26.774c-2.178,5.585-3.809,11.945-6.341,17.672c0.18-9.319,1.896-18.642,0.355-27.959
c-0.43-2.603-4.181-3.297-5.21-0.7c-3.76,9.482-6.355,18.964-7.485,28.68c-0.451-3.893-0.767-7.823-1.205-11.737
c-0.162-1.435-2.173-1.077-2.162,0.287c0.088,11.142-1.787,23.359,3.537,33.66c1.385,2.682,5.667,1.771,5.255-1.435
c-1.41-10.988-0.719-21.349,1.779-31.545c-0.664,7.17-1.582,14.345-0.574,21.564c0.403,2.896,3.888,3.549,5.686,1.521
c5.987-6.742,7.588-15.995,10.77-24.177c1.061-2.729,2.119-5.474,3.21-8.206c-2.613,7.698-5.672,15.305-7.578,23.144
c-0.778,3.196,4.105,5.121,5.866,2.45c8.168-12.371,15.066-25.549,23.975-37.351c-4.654,11.928-14.628,22.079-19.224,33.973
c-1.449,3.755,3.225,6.041,5.776,3.348c10.146-10.694,17.808-23.962,28.452-34.138c-5.993,9.9-13.957,18.709-18.645,29.41
c-1.259,2.878,1.718,5.146,4.34,4.329c2.544-0.796,4.758-2.239,6.751-4.025c-0.333,0.748-0.666,1.496-0.956,2.271
c-1.13,2.988,2.462,6.189,5.126,3.927c10.191-8.665,16.146-22.761,26.354-31.454c-4.896,7.848-12.828,14.274-16.389,22.904
c-1.055,2.563,1.687,5.768,4.396,4.379c7.171-3.68,11.873-10.008,17.425-15.428c-2.079,3.542-5.031,7.007-6.216,10.287
c-1.188,3.286,2.343,5.792,5.157,3.954c1.553-1.017,2.907-2.308,4.194-3.695c-0.136,0.43-0.261,0.864-0.353,1.314
c-0.654,3.188,3.162,4.612,5.445,3.144c1.591-1.023,2.925-2.304,4.188-3.661c0.873,1.101,2.326,1.692,3.786,0.936
c2.022-1.046,3.709-2.297,5.277-3.746c2.425,1.307,5.39,0.883,8.549-0.673C249.2,155.244,246.641,149.062,242.694,150.939z"
/>
<path
class="color"
d="M322.669,187.137c-8.097,4.924-14.469,12.804-22.83,17.257c2.212-3.702,4.8-7.146,7.624-10.406
c3.058-2.843,5.857-6.029,8.677-9.132c1.706-1.879-1.172-4.347-2.932-2.579c-2.564,2.569-5.096,5.157-7.515,7.829
c-1.943,1.841-3.999,3.545-6.244,4.976c0.99-1.832,2.069-3.624,3.232-5.376c7.497-6.049,13.649-14.516,20.18-20.872
c1.733-1.686-0.745-3.983-2.549-2.598c-7.552,5.798-14.69,12.652-20.334,20.489c-2.288,1.747-4.707,3.252-7.296,4.372
c0.804-1.174,1.621-2.34,2.445-3.498c6.68-6.351,12.193-14.069,19.31-20.035c1.662-1.393-0.609-4.067-2.359-2.9
c-4.592,3.063-8.573,6.739-12.211,10.751c5.188-6.566,10.552-12.994,16.365-19.044c1.526-1.593-0.642-4.114-2.297-2.587
c-10.005,9.269-18.002,22.695-29.951,29.826c2.176-3.125,4.368-6.262,6.641-9.33c6.622-6.338,12.31-14.018,18.987-19.957
c1.402-1.244-0.109-3.657-1.695-2.469c-7.606,5.703-13.782,12.688-19.487,20.1c-2.918,2.728-6.021,5.179-9.463,7.115
c2.494-3.901,5.159-7.761,8.011-11.48c7.284-6.177,12.541-14.518,20.38-20.177c1.244-0.896-0.254-2.654-1.491-1.818
c-7.211,4.88-13.556,11.072-19.212,17.86c2.254-3.781,4.627-7.625,7.241-11.251c4.974-5.408,9.816-10.986,15.573-14.943
c0.659-0.45-0.07-1.347-0.729-0.966c-6.714,3.891-12.007,9.242-16.639,15.212c-1.523,1.593-3.051,3.179-4.618,4.714
c-3.862,3.784-8.07,7.241-12.936,9.632c-5.167,2.543-1.042-1.812,0.133-3.594c1.623-2.475,3.466-4.799,5.117-7.261
c0.447-0.671-0.545-1.428-1.012-0.755c-3.087,4.437-6.63,8.503-8.825,13.484c-0.227,0.528,0.359,1.113,0.878,0.983
c5.876-1.441,10.736-4.625,15.159-8.543c-2.029,3.102-3.979,6.257-5.94,9.37c-0.412,0.655-0.092,1.452,0.479,1.802
c-2.502,3.461-4.861,6.992-7.086,10.531c-0.866,1.377,0.357,3.013,1.931,2.449c2.151-0.76,4.156-1.756,6.067-2.889
c-1.341,1.865-2.668,3.732-4.011,5.595c-1.095,1.517,0.686,3.02,2.166,2.486c2.67-0.959,5.139-2.227,7.457-3.717
c-1.781,2.26-3.562,4.519-5.356,6.77c-1.131,1.417,0.267,4.067,2.161,3.141c0.567-0.278,1.113-0.578,1.662-0.885
c0.004,1.2,0.982,2.343,2.359,2.097c2.535-0.44,4.901-1.246,7.143-2.305c-0.772,1.439-1.495,2.895-2.153,4.383
c-0.804,1.818,1.226,3.325,2.854,2.697c0.464-0.174,0.906-0.365,1.355-0.558c-1.36,2.101-2.602,4.287-3.689,6.588
c-0.851,1.797,1.08,3.18,2.68,2.717c6.369-1.869,11.415-5.935,16.325-10.239c-2.256,2.719-4.413,5.508-6.153,8.615
c-1.165,2.087,0.938,4.284,3.019,2.902c5.273-3.529,10.2-7.469,14.918-11.707c1.796-1.617-0.838-4.086-2.64-2.596
c-1.699,1.409-3.454,2.753-5.223,4.072c3.086-3.878,6.344-7.644,8.978-11.85C326.322,188.001,324.217,186.192,322.669,187.137z"
/>
</g>
<path
class="base-color"
d="M317.701,212.845c4.012-1.212,7.902-2.737,11.738-4.424c1.991-0.87,12.222-3.949,8.456-7.836
c-0.187-0.196-0.381-0.396-0.571-0.592c-0.17-0.175-0.355-0.311-0.545-0.42c-0.413-8.474-4.351-17.478-7.564-24.812
c-5.031-11.492-11.536-22.25-17.854-33.058c-0.841-1.442-3.164-0.088-2.521,1.4c4.231,9.842,8.829,19.522,12.942,29.414
c2.032,4.886,3.711,9.903,5.401,14.915c1.589,4.686,2.145,9.611,3.451,14.327c-4.359,2.156-8.869,3.975-13.496,5.49
c-11.07,3.639-21.057,3.271-31.982,1.128c-3.475-11.145-7.065-22.163-9.174-33.704c-1.021-5.609-1.942-18.377-8.747-20.388
c-0.817-0.24-1.473,0.584-0.987,1.31c4.865,7.29,5.378,16.597,6.56,25.039c1.689,12.063,6.062,23.931,10.05,35.392
c0.841,2.414,4.835,1.094,4.237-1.359c-0.144-0.659-0.319-1.313-0.508-1.958c0.356,1.234,6.464,2.179,7.606,2.379
c2.694,0.479,5.056-0.237,7.74-0.214C307.563,214.931,312.235,214.5,317.701,212.845z"
/>
<path
class="base-color"
d="M300.838,217.832c-2.585,2.274-5.951,4.116-8.358,5.857c-4.705,3.41-9.471,6.727-14.177,10.128
c-4.029,2.908-8.895,5.627-10.707,10.53c-1.896,5.128,2.568,10.222,5.738,13.62c2.439,2.613,6.802-0.9,4.33-3.52
c-2.146-2.271-5.874-5.509-4.603-9.014c0.81-2.222,3.969-3.988,5.781-5.322c4.099-3.018,8.044-6.236,12.115-9.29
c1.69-1.263,4.956-4.708,8.838-8.652C299.472,220.698,301.54,219.004,300.838,217.832z"
/>
<path
class="base-color"
d="M342.682,227.619c-3.253-2.264-6.922-3.989-10.304-6.049c-2.18-1.319-8.151-4.349-8.622-7.236
c-0.069-0.429-0.712-0.568-0.809-0.077c-1.565,7.942,14.088,15.609,19.435,19.546c9.579,7.045,15.489,3.578,23.84-3.453
c2.815-2.37-0.749-6.932-3.526-4.504c-2.64,2.319-5.289,4.988-8.496,6.521C350.41,234.176,345.41,229.514,342.682,227.619z"
/>
<path
class="base-color"
d="M214.979,166.093c4.312-2.351,8.693,0.412,12.641,2.078c11.557,4.872,22.296-5.731,32.651-10.131
c-4.168,8.78-13.598,13.942-18.092,22.682c-4.657,9.057-4.271,24.715-1.842,34.31c0.677,2.671,4.112,1.457,4.66-0.543
c3.313-12.039-3.04-24.435,4.719-35.8c5.013-7.337,12.154-11.86,14.251-20.997c0.088-0.389,0.017-0.742-0.142-1.038
c1.079-0.691,1.316-1.916,0.977-3.042c1.59,0.269,3.189,0.497,4.796,0.674c0.525,0.059,0.966-0.057,1.32-0.272
c10.754,2.613,23.923-4.089,32.13-9.7c13.709-9.356,25.461-25.249,24.938-42.493c-0.072-2.376-3.754-2.361-4.083-0.087
c-0.03,0.171-0.063,0.329-0.089,0.498c-0.132-0.001-0.264-0.002-0.407,0.018c-5.358,0.786-10.965-0.77-16.082-2.227
c-6.263-1.777-16.01-4.803-20.914-10.2c6.757-0.563,14.314-4.186,20.443-6.139c7.033-2.238,16.689-6.199,18.846-14.035
c0.087-0.306,0.059-0.586-0.013-0.854c0.554-0.112,1.025-0.655,0.718-1.325c-8.674-19.038-22.907-35.871-44.299-40.051
c-7.498-1.462-15.321-1.026-22.89,0.831c8.994-4.625,14.334-16.99,15.459-26.151c0.101-0.774-1.117-1.255-1.376-0.431
c-3.28,10.5-8.601,20.091-17.919,25.867c5.314-6.491,8.1-15.095,5.063-22.819c-0.322-0.815-1.681-0.534-1.52,0.365
c1.985,11.029-4.558,20.579-12.412,27.684c-8.391,4.007-15.936,9.705-21.643,16.432c-14.94,17.625-17.278,43.629-10.302,64.975
c0.455,1.39,0.965,2.741,1.516,4.061c-3.083-1.926-6.544-3.436-9.37-3.074c-8.88,1.138-15.539,8.628-24.948,5.51
c-8.411-2.789-18.34-13.081-27.478-9.112c-0.065-0.065-0.147-0.12-0.246-0.147c-0.925-1.195-2.797-1.665-4.34-0.109
c-11.941,12.04-27.155,20.108-34.271,36.237c-3.306,7.491-2.556,15.358-1.783,23.236c1.061,10.823-1.103,19.744-4.998,29.719
c-0.887,2.271,2.267,4.235,3.749,2.172c0.504-0.697,0.968-1.424,1.413-2.157c1.188,0.28,2.537-0.104,2.986-1.448
c1.675-5.017,6.751-8.493,10.772-11.579c5.395-4.146,10.948-7.852,17.077-10.832c8.009-3.896,16.557-4.885,25.118-2.325
c6.473,1.934,13.089,4.027,19.94,3.728c5.789-0.255,11.862-1.435,16.487-5.133C209.133,170.566,211.635,167.917,214.979,166.093z
M227.593,53.307c11.969-16.62,35.721-25.171,55.607-21.458c18.907,3.532,32.337,19.335,40.96,35.539
c-0.639-0.147-1.33-0.009-1.794,0.565c-5.699,7.057-12.789,10.055-21.176,12.926c-5.297,1.819-12.751,3.19-17.37,6.64
c-0.375,0.283-0.543,0.658-0.56,1.037c-0.373,0.36-0.57,0.896-0.328,1.499c2.829,7.135,11.316,10.685,17.984,13.196
c6.637,2.499,14.562,5.017,21.817,4.314c-3.052,12.091-9.787,21.721-19.726,29.922c-4.969,4.105-10.603,7.303-16.603,9.623
c-6.353,2.454-12.081,2.556-18.568,1.839c-9.433-3.021-18.879-4.926-27.713-9.897c-10.28-5.788-16.694-15.624-20.678-26.45
C212.249,93.038,215.46,70.149,227.593,53.307z M175.879,170.373c-7.56-1.841-13.882-3.9-21.783-2.874
c-7.591,0.985-14.645,4.913-21.072,8.818c-4.326,2.628-9.895,6.271-14.293,10.607c0.317-1.888,0.512-3.791,0.589-5.69
c0.346-8.505-2.253-16.858-1.821-25.298c0.946-18.421,24.512-29.528,36.115-40.752c0.219-0.213,0.383-0.434,0.528-0.657
c11.186-2.512,18.826,7.631,29.447,10.506c5.98,1.619,11.612-1.209,16.784-3.834c5.661-2.877,9.759-1.855,14.377,1.982
c2.036,1.691,3.1,2.411,5.215,2.553c8.45,13.568,22.534,22.408,38.233,26.468c-5.845,2.355-11.021,5.918-16.671,8.755
c-4.489,2.254-8.621,2.734-13.376,0.738c-2.844-1.197-5.762-2.781-8.947-2.698c-6.324,0.168-10.757,3.752-15.262,7.843
C196.13,173.934,185.343,172.68,175.879,170.373z"
/>
<path
class="base-color"
d="M269.751,65.55c1.737,0.646,2.911,2.334,3.942,3.798c0.943,1.344,1.581,3.502,3.395,3.876
c0.457,0.093,1.009-0.025,1.238-0.482c1.069-2.113-0.876-4.421-2.086-6.046c-1.401-1.88-3.325-3.415-5.691-3.793
C269.02,62.659,268.238,64.991,269.751,65.55z"
/>
<path
class="base-color"
d="M290.724,56.965c1.394,1.457,2.192,3.59,3.796,4.768c0.447,0.327,1.226,0.117,1.269-0.5
c0.152-2.119-1.575-3.82-2.916-5.296c-1.728-1.887-3.806-3.33-5.808-4.887c-0.77-0.59-1.552,0.453-0.934,1.124
C287.637,53.8,289.195,55.372,290.724,56.965z"
/>
<path class="base-color" d="M320.685,141.241c-0.073,0.022-0.04,0.131,0.033,0.108C320.789,141.327,320.753,141.221,320.685,141.241z" />
<path
class="base-color"
d="M316.826,139.985c5.269,2.261,13.137,1.209,18.645-0.172c6.092-1.522,10.875-6.212,14.12-11.379
c3.974-6.322,6.535-13.217,7.767-20.576c0.821-4.893,1.685-12.207-2.59-15.771c-1.544-1.288-3.654-0.581-3.896,1.486
c-0.451,3.946,0.588,7.867,0.285,11.872c-0.473,6.239-2.802,12.383-5.47,17.976c-2.854,5.979-6.823,10.299-13.314,12.346
c-5.033,1.585-11.236,0.154-15.66,3.212C316.344,139.23,316.425,139.815,316.826,139.985z"
/>
<path
class="base-color"
d="M52.903,143.83c20.248-4.477,40.597-7.995,60.43-14.158c1.264-0.392,0.665-2.422-0.605-2.218
c-20.347,3.25-40.276,8.063-60.271,13.004C50.368,140.978,50.743,144.307,52.903,143.83z"
/>
<path
class="base-color"
d="M6.124,192.832c16.139-5.448,32.71-9.904,48.688-15.765c1.176-0.432,0.649-2.318-0.575-2.113
c-16.805,2.781-33.665,8.429-49.186,15.342C3.417,191.024,4.458,193.393,6.124,192.832z"
/>
<path
class="base-color"
d="M66.057,214.314c-12.354,4.633-24.47,9.855-36.52,15.23c-8.521,3.801-19.409,7.234-26.205,13.937
c-0.914,0.902-0.667,2.449,0.719,2.692c2.678,0.469,4.972-1.073,7.249-2.292c5.776-3.087,12.006-5.505,17.973-8.2
c12.837-5.798,25.609-11.896,37.814-18.934C68.531,215.918,67.695,213.699,66.057,214.314z"
/>
</svg>
</div>
<div class="text">UI Superhero</div>
</div>
</div>
</body>
</html>
.settings {
background-color: rgba(191, 191, 191, 0.15);
display: flex;
justify-content: space-between;
padding: 15px;
}
.settings .column .field {
padding: 5px 0;
display: flex;
align-items: center;
justify-content: space-between;
}
.settings .column .field .label {
padding-right: 10px;
}
.settings .column .field .value {
width: 155px;
}
.dx-theme-generic .settings .column .field .value .dx-switch {
height: 36px;
}
.dx-theme-material .settings .column .field .value .dx-switch {
height: 48px;
}
.picture-container {
text-align: center;
margin: 20px 2px 5px 2px;
padding-top: 20px;
overflow: hidden;
outline-width: 2px;
outline-style: none;
outline-color: #f05b41;
}
.picture {
transition: transform ease-in-out 400ms;
display: inline-block;
padding: 10px;
}
.color {
fill: #f05b41;
}
.text {
text-align: center;
color: #f05b41;
font-size: 30px;
padding: 30px;
white-space: nowrap;
text-overflow: ellipsis;
overflow: hidden;
}
.dx-color-scheme-light .base-color,
.dx-color-scheme-carmine .base-color,
.dx-color-scheme-softblue .base-color {
fill: #333;
}
.dx-color-scheme-contrast .base-color,
.dx-color-scheme-darkmoon .base-color {
fill: #fff;
}
.dx-color-scheme-dark .base-color {
fill: #dedede;
}
.dx-color-scheme-darkviolet .base-color {
fill: #f5f6f7;
}
.dx-color-scheme-greenmist .base-color {
fill: #28484f;
}

import React from 'react';
import ColorBox from 'devextreme-react/color-box';
import NumberBox from 'devextreme-react/number-box';
import SelectBox from 'devextreme-react/select-box';
import Switch from 'devextreme-react/switch';
import TextBox from 'devextreme-react/text-box';
import Logo from './Logo.js';
const noFlipTransform = 'scaleX(1)';
const transformations = [
{
key: 'Flip',
items: [
{ name: '0 degrees', value: noFlipTransform },
{ name: '180 degrees', value: 'scaleX(-1)' }
]
},
{
key: 'Rotate',
items: [
{ name: '0 degrees', value: 'rotate(0)' },
{ name: '15 degrees', value: 'rotate(15deg)' },
{ name: '30 degrees', value: 'rotate(30deg)' },
{ name: '-15 degrees', value: 'rotate(-15deg)' },
{ name: '-30 degrees', value: 'rotate(-30deg)' }
]
}
];
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
text: 'UI Superhero',
width: 370,
height: 260,
color: '#f05b41',
transform: noFlipTransform,
border: false
};
this.handleTextChange = this.handleTextChange.bind(this);
this.handleColorChange = this.handleColorChange.bind(this);
this.handleWidthChange = this.handleWidthChange.bind(this);
this.handleHeightChange = this.handleHeightChange.bind(this);
this.handleTransformChange = this.handleTransformChange.bind(this);
this.handleBorderChange = this.handleBorderChange.bind(this);
}
render() {
return (
<React.Fragment>
<div className="settings">
<div className="column">
<div className="field">
<div className="label">Title</div>
<div className="value">
<TextBox
value={this.state.text}
onValueChanged={this.handleTextChange}
maxLength={40}
valueChangeEvent="keyup"
/>
</div>
</div>
<div className="field">
<div className="label">Color</div>
<div className="value">
<ColorBox
value={this.state.color}
onValueChanged={this.handleColorChange}
applyValueMode="instantly"
/>
</div>
</div>
</div>
<div className="column">
<div className="field">
<div className="label">Width</div>
<div className="value">
<NumberBox
value={this.state.width}
onValueChanged={this.handleWidthChange}
showSpinButtons={true}
max={700}
min={70}
format="#0px"
/>
</div>
</div>
<div className="field">
<div className="label">Height</div>
<div className="value">
<NumberBox
value={this.state.height}
onValueChanged={this.handleHeightChange}
showSpinButtons={true}
max={700}
min={70}
format="#0px"
/>
</div>
</div>
</div>
<div className="column">
<div className="field">
<div className="label">Transform</div>
<div className="value">
<SelectBox
value={this.state.transform}
onValueChanged={this.handleTransformChange}
items={transformations}
grouped={true}
displayExpr="name"
valueExpr="value"
/>
</div>
</div>
<div className="field">
<div className="label">Border</div>
<div className="value">
<Switch
value={this.state.border}
onValueChanged={this.handleBorderChange}
/>
</div>
</div>
</div>
</div>
<Logo
text={this.state.text}
width={this.state.width}
height={this.state.height}
color={this.state.color}
transform={this.state.transform}
border={this.state.border}
/>
</React.Fragment>
);
}
handleTextChange(e) {
this.setState({
text: e.value
});
}
handleColorChange(e) {
this.setState({
color: e.value
});
}
handleHeightChange(e) {
this.setState({
width: e.value * 37 / 26,
height: e.value
});
}
handleWidthChange(e) {
this.setState({
width: e.value,
height: e.value * 26 / 37
});
}
handleTransformChange(e) {
this.setState({
transform: e.value
});
}
handleBorderChange(e) {
this.setState({
border: e.value
});
}
}
export default App;
import React from 'react';
class Logo extends React.PureComponent {
render() {
const props = this.props;
return (
<div
className="picture-container"
style={{
outlineStyle: props.border ? 'solid' : 'none',
outlineColor: props.color
}}
>
<div
className="picture"
style={{ transform: props.transform }}
>
<svg
version="1.1"
xmlns="http://www.w3.org/2000/svg"
xmlnsXlink="http://www.w3.org/1999/xlink"
viewBox="0 0 370 260"
style={{ width: `${props.width}px`, height: `${props.height}px` }}
>
<g>
<path
style={{ fill: props.color }}
d={`M242.694,150.939c-0.861,0.656-1.819,0.915-2.875,0.78c-0.657-1.19-1.777-1.907-2.942-2.017
c-0.34-2.188-2.7-3.496-4.938-2.304c0.002-0.013,0.007-0.023,0.007-0.034c0.554-2.685-2.365-4.228-4.579-3.51
c-1.256,0.409-2.38,0.966-3.424,1.613c0.338-1.628,0.396-3.326-0.014-5.133c-0.588-2.578-3.092-3.572-5.315-2.18
c-1.551,0.969-2.982,2.08-4.35,3.271c2.348-3.47,4.315-7.176,5.359-11.471c0.576-2.372-2.284-4.158-4.3-3.296
c-1.739,0.746-3.359,1.621-4.891,2.597c1.028-1.794,1.977-3.639,2.795-5.568c1.188-2.8-2.344-5.685-4.762-3.649
c-5.884,4.955-11.146,10.422-16.21,16.137c2.368-3.929,4.446-8.02,5.88-12.475c0.971-3.012-2.062-5.27-4.7-3.602
c-6.807,4.302-12.4,9.738-17.547,15.614c2.373-5.129,4.011-10.486,4.105-16.298c0.046-2.834-3.08-4.374-5.081-2.121
c-7.114,8.019-13.298,16.692-19.181,25.583c2.527-7.618,4.654-15.322,4.816-23.453c0.055-2.729-3.565-5.099-5.44-2.271
c-5.529,8.344-9.471,17.476-13.1,26.774c-2.178,5.585-3.809,11.945-6.341,17.672c0.18-9.319,1.896-18.642,0.355-27.959
c-0.43-2.603-4.181-3.297-5.21-0.7c-3.76,9.482-6.355,18.964-7.485,28.68c-0.451-3.893-0.767-7.823-1.205-11.737
c-0.162-1.435-2.173-1.077-2.162,0.287c0.088,11.142-1.787,23.359,3.537,33.66c1.385,2.682,5.667,1.771,5.255-1.435
c-1.41-10.988-0.719-21.349,1.779-31.545c-0.664,7.17-1.582,14.345-0.574,21.564c0.403,2.896,3.888,3.549,5.686,1.521
c5.987-6.742,7.588-15.995,10.77-24.177c1.061-2.729,2.119-5.474,3.21-8.206c-2.613,7.698-5.672,15.305-7.578,23.144
c-0.778,3.196,4.105,5.121,5.866,2.45c8.168-12.371,15.066-25.549,23.975-37.351c-4.654,11.928-14.628,22.079-19.224,33.973
c-1.449,3.755,3.225,6.041,5.776,3.348c10.146-10.694,17.808-23.962,28.452-34.138c-5.993,9.9-13.957,18.709-18.645,29.41
c-1.259,2.878,1.718,5.146,4.34,4.329c2.544-0.796,4.758-2.239,6.751-4.025c-0.333,0.748-0.666,1.496-0.956,2.271
c-1.13,2.988,2.462,6.189,5.126,3.927c10.191-8.665,16.146-22.761,26.354-31.454c-4.896,7.848-12.828,14.274-16.389,22.904
c-1.055,2.563,1.687,5.768,4.396,4.379c7.171-3.68,11.873-10.008,17.425-15.428c-2.079,3.542-5.031,7.007-6.216,10.287
c-1.188,3.286,2.343,5.792,5.157,3.954c1.553-1.017,2.907-2.308,4.194-3.695c-0.136,0.43-0.261,0.864-0.353,1.314
c-0.654,3.188,3.162,4.612,5.445,3.144c1.591-1.023,2.925-2.304,4.188-3.661c0.873,1.101,2.326,1.692,3.786,0.936
c2.022-1.046,3.709-2.297,5.277-3.746c2.425,1.307,5.39,0.883,8.549-0.673C249.2,155.244,246.641,149.062,242.694,150.939z`}
/>
<path
style={{ fill: props.color }}
d={`M322.669,187.137c-8.097,4.924-14.469,12.804-22.83,17.257c2.212-3.702,4.8-7.146,7.624-10.406
c3.058-2.843,5.857-6.029,8.677-9.132c1.706-1.879-1.172-4.347-2.932-2.579c-2.564,2.569-5.096,5.157-7.515,7.829
c-1.943,1.841-3.999,3.545-6.244,4.976c0.99-1.832,2.069-3.624,3.232-5.376c7.497-6.049,13.649-14.516,20.18-20.872
c1.733-1.686-0.745-3.983-2.549-2.598c-7.552,5.798-14.69,12.652-20.334,20.489c-2.288,1.747-4.707,3.252-7.296,4.372
c0.804-1.174,1.621-2.34,2.445-3.498c6.68-6.351,12.193-14.069,19.31-20.035c1.662-1.393-0.609-4.067-2.359-2.9
c-4.592,3.063-8.573,6.739-12.211,10.751c5.188-6.566,10.552-12.994,16.365-19.044c1.526-1.593-0.642-4.114-2.297-2.587
c-10.005,9.269-18.002,22.695-29.951,29.826c2.176-3.125,4.368-6.262,6.641-9.33c6.622-6.338,12.31-14.018,18.987-19.957
c1.402-1.244-0.109-3.657-1.695-2.469c-7.606,5.703-13.782,12.688-19.487,20.1c-2.918,2.728-6.021,5.179-9.463,7.115
c2.494-3.901,5.159-7.761,8.011-11.48c7.284-6.177,12.541-14.518,20.38-20.177c1.244-0.896-0.254-2.654-1.491-1.818
c-7.211,4.88-13.556,11.072-19.212,17.86c2.254-3.781,4.627-7.625,7.241-11.251c4.974-5.408,9.816-10.986,15.573-14.943
c0.659-0.45-0.07-1.347-0.729-0.966c-6.714,3.891-12.007,9.242-16.639,15.212c-1.523,1.593-3.051,3.179-4.618,4.714
c-3.862,3.784-8.07,7.241-12.936,9.632c-5.167,2.543-1.042-1.812,0.133-3.594c1.623-2.475,3.466-4.799,5.117-7.261
c0.447-0.671-0.545-1.428-1.012-0.755c-3.087,4.437-6.63,8.503-8.825,13.484c-0.227,0.528,0.359,1.113,0.878,0.983
c5.876-1.441,10.736-4.625,15.159-8.543c-2.029,3.102-3.979,6.257-5.94,9.37c-0.412,0.655-0.092,1.452,0.479,1.802
c-2.502,3.461-4.861,6.992-7.086,10.531c-0.866,1.377,0.357,3.013,1.931,2.449c2.151-0.76,4.156-1.756,6.067-2.889
c-1.341,1.865-2.668,3.732-4.011,5.595c-1.095,1.517,0.686,3.02,2.166,2.486c2.67-0.959,5.139-2.227,7.457-3.717
c-1.781,2.26-3.562,4.519-5.356,6.77c-1.131,1.417,0.267,4.067,2.161,3.141c0.567-0.278,1.113-0.578,1.662-0.885
c0.004,1.2,0.982,2.343,2.359,2.097c2.535-0.44,4.901-1.246,7.143-2.305c-0.772,1.439-1.495,2.895-2.153,4.383
c-0.804,1.818,1.226,3.325,2.854,2.697c0.464-0.174,0.906-0.365,1.355-0.558c-1.36,2.101-2.602,4.287-3.689,6.588
c-0.851,1.797,1.08,3.18,2.68,2.717c6.369-1.869,11.415-5.935,16.325-10.239c-2.256,2.719-4.413,5.508-6.153,8.615
c-1.165,2.087,0.938,4.284,3.019,2.902c5.273-3.529,10.2-7.469,14.918-11.707c1.796-1.617-0.838-4.086-2.64-2.596
c-1.699,1.409-3.454,2.753-5.223,4.072c3.086-3.878,6.344-7.644,8.978-11.85C326.322,188.001,324.217,186.192,322.669,187.137z`}
/>
</g>
<path
className="base-color"
d={`M317.701,212.845c4.012-1.212,7.902-2.737,11.738-4.424c1.991-0.87,12.222-3.949,8.456-7.836
c-0.187-0.196-0.381-0.396-0.571-0.592c-0.17-0.175-0.355-0.311-0.545-0.42c-0.413-8.474-4.351-17.478-7.564-24.812
c-5.031-11.492-11.536-22.25-17.854-33.058c-0.841-1.442-3.164-0.088-2.521,1.4c4.231,9.842,8.829,19.522,12.942,29.414
c2.032,4.886,3.711,9.903,5.401,14.915c1.589,4.686,2.145,9.611,3.451,14.327c-4.359,2.156-8.869,3.975-13.496,5.49
c-11.07,3.639-21.057,3.271-31.982,1.128c-3.475-11.145-7.065-22.163-9.174-33.704c-1.021-5.609-1.942-18.377-8.747-20.388
c-0.817-0.24-1.473,0.584-0.987,1.31c4.865,7.29,5.378,16.597,6.56,25.039c1.689,12.063,6.062,23.931,10.05,35.392
c0.841,2.414,4.835,1.094,4.237-1.359c-0.144-0.659-0.319-1.313-0.508-1.958c0.356,1.234,6.464,2.179,7.606,2.379
c2.694,0.479,5.056-0.237,7.74-0.214C307.563,214.931,312.235,214.5,317.701,212.845z`}
/>
<path
className="base-color"
d={`M300.838,217.832c-2.585,2.274-5.951,4.116-8.358,5.857c-4.705,3.41-9.471,6.727-14.177,10.128
c-4.029,2.908-8.895,5.627-10.707,10.53c-1.896,5.128,2.568,10.222,5.738,13.62c2.439,2.613,6.802-0.9,4.33-3.52
c-2.146-2.271-5.874-5.509-4.603-9.014c0.81-2.222,3.969-3.988,5.781-5.322c4.099-3.018,8.044-6.236,12.115-9.29
c1.69-1.263,4.956-4.708,8.838-8.652C299.472,220.698,301.54,219.004,300.838,217.832z`}
/>
<path
className="base-color"
d={`M342.682,227.619c-3.253-2.264-6.922-3.989-10.304-6.049c-2.18-1.319-8.151-4.349-8.622-7.236
c-0.069-0.429-0.712-0.568-0.809-0.077c-1.565,7.942,14.088,15.609,19.435,19.546c9.579,7.045,15.489,3.578,23.84-3.453
c2.815-2.37-0.749-6.932-3.526-4.504c-2.64,2.319-5.289,4.988-8.496,6.521C350.41,234.176,345.41,229.514,342.682,227.619z`}
/>
<path
className="base-color"
d={`M214.979,166.093c4.312-2.351,8.693,0.412,12.641,2.078c11.557,4.872,22.296-5.731,32.651-10.131
c-4.168,8.78-13.598,13.942-18.092,22.682c-4.657,9.057-4.271,24.715-1.842,34.31c0.677,2.671,4.112,1.457,4.66-0.543
c3.313-12.039-3.04-24.435,4.719-35.8c5.013-7.337,12.154-11.86,14.251-20.997c0.088-0.389,0.017-0.742-0.142-1.038
c1.079-0.691,1.316-1.916,0.977-3.042c1.59,0.269,3.189,0.497,4.796,0.674c0.525,0.059,0.966-0.057,1.32-0.272
c10.754,2.613,23.923-4.089,32.13-9.7c13.709-9.356,25.461-25.249,24.938-42.493c-0.072-2.376-3.754-2.361-4.083-0.087
c-0.03,0.171-0.063,0.329-0.089,0.498c-0.132-0.001-0.264-0.002-0.407,0.018c-5.358,0.786-10.965-0.77-16.082-2.227
c-6.263-1.777-16.01-4.803-20.914-10.2c6.757-0.563,14.314-4.186,20.443-6.139c7.033-2.238,16.689-6.199,18.846-14.035
c0.087-0.306,0.059-0.586-0.013-0.854c0.554-0.112,1.025-0.655,0.718-1.325c-8.674-19.038-22.907-35.871-44.299-40.051
c-7.498-1.462-15.321-1.026-22.89,0.831c8.994-4.625,14.334-16.99,15.459-26.151c0.101-0.774-1.117-1.255-1.376-0.431
c-3.28,10.5-8.601,20.091-17.919,25.867c5.314-6.491,8.1-15.095,5.063-22.819c-0.322-0.815-1.681-0.534-1.52,0.365
c1.985,11.029-4.558,20.579-12.412,27.684c-8.391,4.007-15.936,9.705-21.643,16.432c-14.94,17.625-17.278,43.629-10.302,64.975
c0.455,1.39,0.965,2.741,1.516,4.061c-3.083-1.926-6.544-3.436-9.37-3.074c-8.88,1.138-15.539,8.628-24.948,5.51
c-8.411-2.789-18.34-13.081-27.478-9.112c-0.065-0.065-0.147-0.12-0.246-0.147c-0.925-1.195-2.797-1.665-4.34-0.109
c-11.941,12.04-27.155,20.108-34.271,36.237c-3.306,7.491-2.556,15.358-1.783,23.236c1.061,10.823-1.103,19.744-4.998,29.719
c-0.887,2.271,2.267,4.235,3.749,2.172c0.504-0.697,0.968-1.424,1.413-2.157c1.188,0.28,2.537-0.104,2.986-1.448
c1.675-5.017,6.751-8.493,10.772-11.579c5.395-4.146,10.948-7.852,17.077-10.832c8.009-3.896,16.557-4.885,25.118-2.325
c6.473,1.934,13.089,4.027,19.94,3.728c5.789-0.255,11.862-1.435,16.487-5.133C209.133,170.566,211.635,167.917,214.979,166.093z
M227.593,53.307c11.969-16.62,35.721-25.171,55.607-21.458c18.907,3.532,32.337,19.335,40.96,35.539
c-0.639-0.147-1.33-0.009-1.794,0.565c-5.699,7.057-12.789,10.055-21.176,12.926c-5.297,1.819-12.751,3.19-17.37,6.64
c-0.375,0.283-0.543,0.658-0.56,1.037c-0.373,0.36-0.57,0.896-0.328,1.499c2.829,7.135,11.316,10.685,17.984,13.196
c6.637,2.499,14.562,5.017,21.817,4.314c-3.052,12.091-9.787,21.721-19.726,29.922c-4.969,4.105-10.603,7.303-16.603,9.623
c-6.353,2.454-12.081,2.556-18.568,1.839c-9.433-3.021-18.879-4.926-27.713-9.897c-10.28-5.788-16.694-15.624-20.678-26.45
C212.249,93.038,215.46,70.149,227.593,53.307z M175.879,170.373c-7.56-1.841-13.882-3.9-21.783-2.874
c-7.591,0.985-14.645,4.913-21.072,8.818c-4.326,2.628-9.895,6.271-14.293,10.607c0.317-1.888,0.512-3.791,0.589-5.69
c0.346-8.505-2.253-16.858-1.821-25.298c0.946-18.421,24.512-29.528,36.115-40.752c0.219-0.213,0.383-0.434,0.528-0.657
c11.186-2.512,18.826,7.631,29.447,10.506c5.98,1.619,11.612-1.209,16.784-3.834c5.661-2.877,9.759-1.855,14.377,1.982
c2.036,1.691,3.1,2.411,5.215,2.553c8.45,13.568,22.534,22.408,38.233,26.468c-5.845,2.355-11.021,5.918-16.671,8.755
c-4.489,2.254-8.621,2.734-13.376,0.738c-2.844-1.197-5.762-2.781-8.947-2.698c-6.324,0.168-10.757,3.752-15.262,7.843
C196.13,173.934,185.343,172.68,175.879,170.373z`}
/>
<path
className="base-color"
d={`M269.751,65.55c1.737,0.646,2.911,2.334,3.942,3.798c0.943,1.344,1.581,3.502,3.395,3.876
c0.457,0.093,1.009-0.025,1.238-0.482c1.069-2.113-0.876-4.421-2.086-6.046c-1.401-1.88-3.325-3.415-5.691-3.793
C269.02,62.659,268.238,64.991,269.751,65.55z`}
/>
<path
className="base-color"
d={`M290.724,56.965c1.394,1.457,2.192,3.59,3.796,4.768c0.447,0.327,1.226,0.117,1.269-0.5
c0.152-2.119-1.575-3.82-2.916-5.296c-1.728-1.887-3.806-3.33-5.808-4.887c-0.77-0.59-1.552,0.453-0.934,1.124
C287.637,53.8,289.195,55.372,290.724,56.965z`}
/>
<path
className="base-color"
d="M320.685,141.241c-0.073,0.022-0.04,0.131,0.033,0.108C320.789,141.327,320.753,141.221,320.685,141.241z"
/>
<path
className="base-color"
d={`M316.826,139.985c5.269,2.261,13.137,1.209,18.645-0.172c6.092-1.522,10.875-6.212,14.12-11.379
c3.974-6.322,6.535-13.217,7.767-20.576c0.821-4.893,1.685-12.207-2.59-15.771c-1.544-1.288-3.654-0.581-3.896,1.486
c-0.451,3.946,0.588,7.867,0.285,11.872c-0.473,6.239-2.802,12.383-5.47,17.976c-2.854,5.979-6.823,10.299-13.314,12.346
c-5.033,1.585-11.236,0.154-15.66,3.212C316.344,139.23,316.425,139.815,316.826,139.985z`}
/>
<path
className="base-color"
d={`M52.903,143.83c20.248-4.477,40.597-7.995,60.43-14.158c1.264-0.392,0.665-2.422-0.605-2.218
c-20.347,3.25-40.276,8.063-60.271,13.004C50.368,140.978,50.743,144.307,52.903,143.83z`}
/>
<path
className="base-color"
d={`M6.124,192.832c16.139-5.448,32.71-9.904,48.688-15.765c1.176-0.432,0.649-2.318-0.575-2.113
c-16.805,2.781-33.665,8.429-49.186,15.342C3.417,191.024,4.458,193.393,6.124,192.832z`}
/>
<path
className="base-color"
d={`M66.057,214.314c-12.354,4.633-24.47,9.855-36.52,15.23c-8.521,3.801-19.409,7.234-26.205,13.937
c-0.914,0.902-0.667,2.449,0.719,2.692c2.678,0.469,4.972-1.073,7.249-2.292c5.776-3.087,12.006-5.505,17.973-8.2
c12.837-5.798,25.609-11.896,37.814-18.934C68.531,215.918,67.695,213.699,66.057,214.314z`}
/>
</svg>
</div>
<div className="text" style={{ color: props.color }}>{props.text}</div>
</div>
);
}
}
export default Logo;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.settings {
text-align: center;
background-color: rgba(191, 191, 191, 0.15);
}
.settings .column {
width: 26%;
display: inline-block;
margin: 15px 3%;
text-align: left;
}
.settings .column .field {
padding: 5px 0;
}
.settings .column .field > div {
display: inline-block;
vertical-align: middle;
}
.settings .column .field .label {
width: 75px;
}
.settings .column .field .value {
width: 60%;
}
.dx-theme-generic .settings .column .field .value .dx-switch {
height: 36px;
}
.dx-theme-material .settings .column .field .value .dx-switch {
height: 32px;
}
.dx-theme-material .settings .column .field .label {
padding-top: 2px;
}
.picture-container {
text-align: center;
margin: 20px 2px 5px 2px;
padding-top: 20px;
overflow: hidden;
outline-width: 2px;
outline-style: none;
outline-color: #f05b41;
}
.picture {
transition: transform ease-in-out 400ms;
display: inline-block;
padding: 10px;
}
.color {
fill: #f05b41;
}
.text {
text-align: center;
color: #f05b41;
font-size: 30px;
padding: 30px;
white-space: nowrap;
text-overflow: ellipsis;
overflow: hidden;
}
.dx-color-scheme-light .base-color, .dx-color-scheme-carmine .base-color, .dx-color-scheme-softblue .base-color {
fill: #333;
}
.dx-color-scheme-contrast .base-color, .dx-color-scheme-darkmoon .base-color {
fill: #fff;
}
.dx-color-scheme-dark .base-color {
fill: #dedede;
}
.dx-color-scheme-darkviolet .base-color {
fill: #f5f6f7;
}
.dx-color-scheme-greenmist .base-color {
fill: #28484f;
}
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-react': 'npm:devextreme-react@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});

DevExtreme v23.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

Overview

DevExtreme ships with a collection of editors that can be used as Vue components. This collection includes TextBox, NumberBox, DateBox, ColorBox, and many other controls. You can use Vue syntax and techniques to instantiate and configure the controls or handle their events. In addition, the components support prop validation and templates that use named slots. Find out more about DevExtreme Vue components.

Backend API
<template> <div> <div class="settings"> <div class="column"> <div class="field"> <div class="label">Title</div> <div class="value"> <DxTextBox v-model:value="text" :max-length="40" :input-attr="{ 'aria-label': 'Title' }" value-change-event="keyup" /> </div> </div> <div class="field"> <div class="label">Color</div> <div class="value"> <DxColorBox v-model:value="color" apply-value-mode="instantly" :input-attr="{ 'aria-label': 'Color' }" /> </div> </div> </div> <div class="column"> <div class="field"> <div class="label">Width</div> <div class="value"> <DxNumberBox v-model:value="width" :show-spin-buttons="true" :max="700" :min="70" format="#0px" :input-attr="{ 'aria-label': 'Width' }" /> </div> </div> <div class="field"> <div class="label">Height</div> <div class="value"> <DxNumberBox v-model:value="height" :show-spin-buttons="true" :max="700" :min="70" format="#0px" :input-attr="{ 'aria-label': 'Height' }" /> </div> </div> </div> <div class="column"> <div class="field"> <div class="label">Transform</div> <div class="value"> <DxSelectBox v-model:value="transform" :items="transformations" :input-attr="{ 'aria-label': 'Transform' }" :grouped="true" display-expr="name" value-expr="value" /> </div> </div> <div class="field"> <div class="label">Border</div> <div class="value"> <DxSwitch v-model:value="border"/> </div> </div> </div> </div> <SuperheroLogo :color="color" :text="text" :width="width" :height="height" :transform="transform" :border="border" /> </div> </template> <script setup lang="ts"> import { ref, watch } from 'vue'; import DxTextBox from 'devextreme-vue/text-box'; import DxColorBox from 'devextreme-vue/color-box'; import DxNumberBox from 'devextreme-vue/number-box'; import DxSwitch from 'devextreme-vue/switch'; import DxSelectBox from 'devextreme-vue/select-box'; import SuperheroLogo from './SuperheroLogo.vue'; const color = ref('#f05b41'); const text = ref('UI Superhero'); const width = ref(370); const height = ref(260); const transform = ref('scaleX(1)'); const border = ref(false); const transformations = [ { key: 'Flip', items: [ { name: '0 degrees', value: 'scaleX(1)' }, { name: '180 degrees', value: 'scaleX(-1)' }, ], }, { key: 'Rotate', items: [ { name: '0 degrees', value: 'rotate(0)' }, { name: '15 degrees', value: 'rotate(15deg)' }, { name: '30 degrees', value: 'rotate(30deg)' }, { name: '-15 degrees', value: 'rotate(-15deg)' }, { name: '-30 degrees', value: 'rotate(-30deg)' }, ], }, ]; watch(() => height.value, (val) => { width.value = (val * 37) / 26; }); watch(() => width.value, (val) => { height.value = (val * 26) / 37; }); </script> <style> .settings { background-color: rgba(191, 191, 191, 0.15); display: flex; justify-content: space-between; padding: 15px; } .settings .column .field { padding: 5px 0; display: flex; align-items: center; justify-content: space-between; } .settings .column .field .label { padding-right: 10px; } .settings .column .field .value { width: 155px; } .dx-theme-generic .settings .column .field .value .dx-switch { height: 36px; } .dx-theme-material .settings .column .field .value .dx-switch { height: 48px; } .picture-container { text-align: center; margin: 20px 2px 5px 2px; padding-top: 20px; overflow: hidden; outline-width: 2px; outline-style: none; outline-color: #f05b41; } .picture { transition: transform ease-in-out 400ms; display: inline-block; padding: 10px; } .color { fill: #f05b41; } .text { text-align: center; color: #f05b41; font-size: 30px; padding: 30px; white-space: nowrap; text-overflow: ellipsis; overflow: hidden; } .dx-color-scheme-light .base-color, .dx-color-scheme-carmine .base-color, .dx-color-scheme-softblue .base-color { fill: #333; } .dx-color-scheme-contrast .base-color, .dx-color-scheme-darkmoon .base-color { fill: #fff; } .dx-color-scheme-dark .base-color { fill: #dedede; } .dx-color-scheme-darkviolet .base-color { fill: #f5f6f7; } .dx-color-scheme-greenmist .base-color { fill: #28484f; } </style>
<!-- eslint-disable vue/max-len --> <template> <div :style="{ 'outline-style': border ? 'solid' : 'none', 'outline-color': color }" class="picture-container" > <div :style="{ transform: transform }" class="picture" > <svg :style="{ width: width + 'px', height: height + 'px'}" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 370 260" > <g> <path :style="{ fill: color }" d="M242.694,150.939c-0.861,0.656-1.819,0.915-2.875,0.78c-0.657-1.19-1.777-1.907-2.942-2.017 c-0.34-2.188-2.7-3.496-4.938-2.304c0.002-0.013,0.007-0.023,0.007-0.034c0.554-2.685-2.365-4.228-4.579-3.51 c-1.256,0.409-2.38,0.966-3.424,1.613c0.338-1.628,0.396-3.326-0.014-5.133c-0.588-2.578-3.092-3.572-5.315-2.18 c-1.551,0.969-2.982,2.08-4.35,3.271c2.348-3.47,4.315-7.176,5.359-11.471c0.576-2.372-2.284-4.158-4.3-3.296 c-1.739,0.746-3.359,1.621-4.891,2.597c1.028-1.794,1.977-3.639,2.795-5.568c1.188-2.8-2.344-5.685-4.762-3.649 c-5.884,4.955-11.146,10.422-16.21,16.137c2.368-3.929,4.446-8.02,5.88-12.475c0.971-3.012-2.062-5.27-4.7-3.602 c-6.807,4.302-12.4,9.738-17.547,15.614c2.373-5.129,4.011-10.486,4.105-16.298c0.046-2.834-3.08-4.374-5.081-2.121 c-7.114,8.019-13.298,16.692-19.181,25.583c2.527-7.618,4.654-15.322,4.816-23.453c0.055-2.729-3.565-5.099-5.44-2.271 c-5.529,8.344-9.471,17.476-13.1,26.774c-2.178,5.585-3.809,11.945-6.341,17.672c0.18-9.319,1.896-18.642,0.355-27.959 c-0.43-2.603-4.181-3.297-5.21-0.7c-3.76,9.482-6.355,18.964-7.485,28.68c-0.451-3.893-0.767-7.823-1.205-11.737 c-0.162-1.435-2.173-1.077-2.162,0.287c0.088,11.142-1.787,23.359,3.537,33.66c1.385,2.682,5.667,1.771,5.255-1.435 c-1.41-10.988-0.719-21.349,1.779-31.545c-0.664,7.17-1.582,14.345-0.574,21.564c0.403,2.896,3.888,3.549,5.686,1.521 c5.987-6.742,7.588-15.995,10.77-24.177c1.061-2.729,2.119-5.474,3.21-8.206c-2.613,7.698-5.672,15.305-7.578,23.144 c-0.778,3.196,4.105,5.121,5.866,2.45c8.168-12.371,15.066-25.549,23.975-37.351c-4.654,11.928-14.628,22.079-19.224,33.973 c-1.449,3.755,3.225,6.041,5.776,3.348c10.146-10.694,17.808-23.962,28.452-34.138c-5.993,9.9-13.957,18.709-18.645,29.41 c-1.259,2.878,1.718,5.146,4.34,4.329c2.544-0.796,4.758-2.239,6.751-4.025c-0.333,0.748-0.666,1.496-0.956,2.271 c-1.13,2.988,2.462,6.189,5.126,3.927c10.191-8.665,16.146-22.761,26.354-31.454c-4.896,7.848-12.828,14.274-16.389,22.904 c-1.055,2.563,1.687,5.768,4.396,4.379c7.171-3.68,11.873-10.008,17.425-15.428c-2.079,3.542-5.031,7.007-6.216,10.287 c-1.188,3.286,2.343,5.792,5.157,3.954c1.553-1.017,2.907-2.308,4.194-3.695c-0.136,0.43-0.261,0.864-0.353,1.314 c-0.654,3.188,3.162,4.612,5.445,3.144c1.591-1.023,2.925-2.304,4.188-3.661c0.873,1.101,2.326,1.692,3.786,0.936 c2.022-1.046,3.709-2.297,5.277-3.746c2.425,1.307,5.39,0.883,8.549-0.673C249.2,155.244,246.641,149.062,242.694,150.939z" /> <path :style="{ fill: color }" d="M322.669,187.137c-8.097,4.924-14.469,12.804-22.83,17.257c2.212-3.702,4.8-7.146,7.624-10.406 c3.058-2.843,5.857-6.029,8.677-9.132c1.706-1.879-1.172-4.347-2.932-2.579c-2.564,2.569-5.096,5.157-7.515,7.829 c-1.943,1.841-3.999,3.545-6.244,4.976c0.99-1.832,2.069-3.624,3.232-5.376c7.497-6.049,13.649-14.516,20.18-20.872 c1.733-1.686-0.745-3.983-2.549-2.598c-7.552,5.798-14.69,12.652-20.334,20.489c-2.288,1.747-4.707,3.252-7.296,4.372 c0.804-1.174,1.621-2.34,2.445-3.498c6.68-6.351,12.193-14.069,19.31-20.035c1.662-1.393-0.609-4.067-2.359-2.9 c-4.592,3.063-8.573,6.739-12.211,10.751c5.188-6.566,10.552-12.994,16.365-19.044c1.526-1.593-0.642-4.114-2.297-2.587 c-10.005,9.269-18.002,22.695-29.951,29.826c2.176-3.125,4.368-6.262,6.641-9.33c6.622-6.338,12.31-14.018,18.987-19.957 c1.402-1.244-0.109-3.657-1.695-2.469c-7.606,5.703-13.782,12.688-19.487,20.1c-2.918,2.728-6.021,5.179-9.463,7.115 c2.494-3.901,5.159-7.761,8.011-11.48c7.284-6.177,12.541-14.518,20.38-20.177c1.244-0.896-0.254-2.654-1.491-1.818 c-7.211,4.88-13.556,11.072-19.212,17.86c2.254-3.781,4.627-7.625,7.241-11.251c4.974-5.408,9.816-10.986,15.573-14.943 c0.659-0.45-0.07-1.347-0.729-0.966c-6.714,3.891-12.007,9.242-16.639,15.212c-1.523,1.593-3.051,3.179-4.618,4.714 c-3.862,3.784-8.07,7.241-12.936,9.632c-5.167,2.543-1.042-1.812,0.133-3.594c1.623-2.475,3.466-4.799,5.117-7.261 c0.447-0.671-0.545-1.428-1.012-0.755c-3.087,4.437-6.63,8.503-8.825,13.484c-0.227,0.528,0.359,1.113,0.878,0.983 c5.876-1.441,10.736-4.625,15.159-8.543c-2.029,3.102-3.979,6.257-5.94,9.37c-0.412,0.655-0.092,1.452,0.479,1.802 c-2.502,3.461-4.861,6.992-7.086,10.531c-0.866,1.377,0.357,3.013,1.931,2.449c2.151-0.76,4.156-1.756,6.067-2.889 c-1.341,1.865-2.668,3.732-4.011,5.595c-1.095,1.517,0.686,3.02,2.166,2.486c2.67-0.959,5.139-2.227,7.457-3.717 c-1.781,2.26-3.562,4.519-5.356,6.77c-1.131,1.417,0.267,4.067,2.161,3.141c0.567-0.278,1.113-0.578,1.662-0.885 c0.004,1.2,0.982,2.343,2.359,2.097c2.535-0.44,4.901-1.246,7.143-2.305c-0.772,1.439-1.495,2.895-2.153,4.383 c-0.804,1.818,1.226,3.325,2.854,2.697c0.464-0.174,0.906-0.365,1.355-0.558c-1.36,2.101-2.602,4.287-3.689,6.588 c-0.851,1.797,1.08,3.18,2.68,2.717c6.369-1.869,11.415-5.935,16.325-10.239c-2.256,2.719-4.413,5.508-6.153,8.615 c-1.165,2.087,0.938,4.284,3.019,2.902c5.273-3.529,10.2-7.469,14.918-11.707c1.796-1.617-0.838-4.086-2.64-2.596 c-1.699,1.409-3.454,2.753-5.223,4.072c3.086-3.878,6.344-7.644,8.978-11.85C326.322,188.001,324.217,186.192,322.669,187.137z" /> </g> <path class="base-color" d="M317.701,212.845c4.012-1.212,7.902-2.737,11.738-4.424c1.991-0.87,12.222-3.949,8.456-7.836 c-0.187-0.196-0.381-0.396-0.571-0.592c-0.17-0.175-0.355-0.311-0.545-0.42c-0.413-8.474-4.351-17.478-7.564-24.812 c-5.031-11.492-11.536-22.25-17.854-33.058c-0.841-1.442-3.164-0.088-2.521,1.4c4.231,9.842,8.829,19.522,12.942,29.414 c2.032,4.886,3.711,9.903,5.401,14.915c1.589,4.686,2.145,9.611,3.451,14.327c-4.359,2.156-8.869,3.975-13.496,5.49 c-11.07,3.639-21.057,3.271-31.982,1.128c-3.475-11.145-7.065-22.163-9.174-33.704c-1.021-5.609-1.942-18.377-8.747-20.388 c-0.817-0.24-1.473,0.584-0.987,1.31c4.865,7.29,5.378,16.597,6.56,25.039c1.689,12.063,6.062,23.931,10.05,35.392 c0.841,2.414,4.835,1.094,4.237-1.359c-0.144-0.659-0.319-1.313-0.508-1.958c0.356,1.234,6.464,2.179,7.606,2.379 c2.694,0.479,5.056-0.237,7.74-0.214C307.563,214.931,312.235,214.5,317.701,212.845z" /> <path class="base-color" d="M300.838,217.832c-2.585,2.274-5.951,4.116-8.358,5.857c-4.705,3.41-9.471,6.727-14.177,10.128 c-4.029,2.908-8.895,5.627-10.707,10.53c-1.896,5.128,2.568,10.222,5.738,13.62c2.439,2.613,6.802-0.9,4.33-3.52 c-2.146-2.271-5.874-5.509-4.603-9.014c0.81-2.222,3.969-3.988,5.781-5.322c4.099-3.018,8.044-6.236,12.115-9.29 c1.69-1.263,4.956-4.708,8.838-8.652C299.472,220.698,301.54,219.004,300.838,217.832z" /> <path class="base-color" d="M342.682,227.619c-3.253-2.264-6.922-3.989-10.304-6.049c-2.18-1.319-8.151-4.349-8.622-7.236 c-0.069-0.429-0.712-0.568-0.809-0.077c-1.565,7.942,14.088,15.609,19.435,19.546c9.579,7.045,15.489,3.578,23.84-3.453 c2.815-2.37-0.749-6.932-3.526-4.504c-2.64,2.319-5.289,4.988-8.496,6.521C350.41,234.176,345.41,229.514,342.682,227.619z" /> <path class="base-color" d="M214.979,166.093c4.312-2.351,8.693,0.412,12.641,2.078c11.557,4.872,22.296-5.731,32.651-10.131 c-4.168,8.78-13.598,13.942-18.092,22.682c-4.657,9.057-4.271,24.715-1.842,34.31c0.677,2.671,4.112,1.457,4.66-0.543 c3.313-12.039-3.04-24.435,4.719-35.8c5.013-7.337,12.154-11.86,14.251-20.997c0.088-0.389,0.017-0.742-0.142-1.038 c1.079-0.691,1.316-1.916,0.977-3.042c1.59,0.269,3.189,0.497,4.796,0.674c0.525,0.059,0.966-0.057,1.32-0.272 c10.754,2.613,23.923-4.089,32.13-9.7c13.709-9.356,25.461-25.249,24.938-42.493c-0.072-2.376-3.754-2.361-4.083-0.087 c-0.03,0.171-0.063,0.329-0.089,0.498c-0.132-0.001-0.264-0.002-0.407,0.018c-5.358,0.786-10.965-0.77-16.082-2.227 c-6.263-1.777-16.01-4.803-20.914-10.2c6.757-0.563,14.314-4.186,20.443-6.139c7.033-2.238,16.689-6.199,18.846-14.035 c0.087-0.306,0.059-0.586-0.013-0.854c0.554-0.112,1.025-0.655,0.718-1.325c-8.674-19.038-22.907-35.871-44.299-40.051 c-7.498-1.462-15.321-1.026-22.89,0.831c8.994-4.625,14.334-16.99,15.459-26.151c0.101-0.774-1.117-1.255-1.376-0.431 c-3.28,10.5-8.601,20.091-17.919,25.867c5.314-6.491,8.1-15.095,5.063-22.819c-0.322-0.815-1.681-0.534-1.52,0.365 c1.985,11.029-4.558,20.579-12.412,27.684c-8.391,4.007-15.936,9.705-21.643,16.432c-14.94,17.625-17.278,43.629-10.302,64.975 c0.455,1.39,0.965,2.741,1.516,4.061c-3.083-1.926-6.544-3.436-9.37-3.074c-8.88,1.138-15.539,8.628-24.948,5.51 c-8.411-2.789-18.34-13.081-27.478-9.112c-0.065-0.065-0.147-0.12-0.246-0.147c-0.925-1.195-2.797-1.665-4.34-0.109 c-11.941,12.04-27.155,20.108-34.271,36.237c-3.306,7.491-2.556,15.358-1.783,23.236c1.061,10.823-1.103,19.744-4.998,29.719 c-0.887,2.271,2.267,4.235,3.749,2.172c0.504-0.697,0.968-1.424,1.413-2.157c1.188,0.28,2.537-0.104,2.986-1.448 c1.675-5.017,6.751-8.493,10.772-11.579c5.395-4.146,10.948-7.852,17.077-10.832c8.009-3.896,16.557-4.885,25.118-2.325 c6.473,1.934,13.089,4.027,19.94,3.728c5.789-0.255,11.862-1.435,16.487-5.133C209.133,170.566,211.635,167.917,214.979,166.093z M227.593,53.307c11.969-16.62,35.721-25.171,55.607-21.458c18.907,3.532,32.337,19.335,40.96,35.539 c-0.639-0.147-1.33-0.009-1.794,0.565c-5.699,7.057-12.789,10.055-21.176,12.926c-5.297,1.819-12.751,3.19-17.37,6.64 c-0.375,0.283-0.543,0.658-0.56,1.037c-0.373,0.36-0.57,0.896-0.328,1.499c2.829,7.135,11.316,10.685,17.984,13.196 c6.637,2.499,14.562,5.017,21.817,4.314c-3.052,12.091-9.787,21.721-19.726,29.922c-4.969,4.105-10.603,7.303-16.603,9.623 c-6.353,2.454-12.081,2.556-18.568,1.839c-9.433-3.021-18.879-4.926-27.713-9.897c-10.28-5.788-16.694-15.624-20.678-26.45 C212.249,93.038,215.46,70.149,227.593,53.307z M175.879,170.373c-7.56-1.841-13.882-3.9-21.783-2.874 c-7.591,0.985-14.645,4.913-21.072,8.818c-4.326,2.628-9.895,6.271-14.293,10.607c0.317-1.888,0.512-3.791,0.589-5.69 c0.346-8.505-2.253-16.858-1.821-25.298c0.946-18.421,24.512-29.528,36.115-40.752c0.219-0.213,0.383-0.434,0.528-0.657 c11.186-2.512,18.826,7.631,29.447,10.506c5.98,1.619,11.612-1.209,16.784-3.834c5.661-2.877,9.759-1.855,14.377,1.982 c2.036,1.691,3.1,2.411,5.215,2.553c8.45,13.568,22.534,22.408,38.233,26.468c-5.845,2.355-11.021,5.918-16.671,8.755 c-4.489,2.254-8.621,2.734-13.376,0.738c-2.844-1.197-5.762-2.781-8.947-2.698c-6.324,0.168-10.757,3.752-15.262,7.843 C196.13,173.934,185.343,172.68,175.879,170.373z" /> <path class="base-color" d="M269.751,65.55c1.737,0.646,2.911,2.334,3.942,3.798c0.943,1.344,1.581,3.502,3.395,3.876 c0.457,0.093,1.009-0.025,1.238-0.482c1.069-2.113-0.876-4.421-2.086-6.046c-1.401-1.88-3.325-3.415-5.691-3.793 C269.02,62.659,268.238,64.991,269.751,65.55z" /> <path class="base-color" d="M290.724,56.965c1.394,1.457,2.192,3.59,3.796,4.768c0.447,0.327,1.226,0.117,1.269-0.5 c0.152-2.119-1.575-3.82-2.916-5.296c-1.728-1.887-3.806-3.33-5.808-4.887c-0.77-0.59-1.552,0.453-0.934,1.124 C287.637,53.8,289.195,55.372,290.724,56.965z" /> <path class="base-color" d="M320.685,141.241c-0.073,0.022-0.04,0.131,0.033,0.108C320.789,141.327,320.753,141.221,320.685,141.241z" /> <path class="base-color" d="M316.826,139.985c5.269,2.261,13.137,1.209,18.645-0.172c6.092-1.522,10.875-6.212,14.12-11.379 c3.974-6.322,6.535-13.217,7.767-20.576c0.821-4.893,1.685-12.207-2.59-15.771c-1.544-1.288-3.654-0.581-3.896,1.486 c-0.451,3.946,0.588,7.867,0.285,11.872c-0.473,6.239-2.802,12.383-5.47,17.976c-2.854,5.979-6.823,10.299-13.314,12.346 c-5.033,1.585-11.236,0.154-15.66,3.212C316.344,139.23,316.425,139.815,316.826,139.985z" /> <path class="base-color" d="M52.903,143.83c20.248-4.477,40.597-7.995,60.43-14.158c1.264-0.392,0.665-2.422-0.605-2.218 c-20.347,3.25-40.276,8.063-60.271,13.004C50.368,140.978,50.743,144.307,52.903,143.83z" /> <path class="base-color" d="M6.124,192.832c16.139-5.448,32.71-9.904,48.688-15.765c1.176-0.432,0.649-2.318-0.575-2.113 c-16.805,2.781-33.665,8.429-49.186,15.342C3.417,191.024,4.458,193.393,6.124,192.832z" /> <path class="base-color" d="M66.057,214.314c-12.354,4.633-24.47,9.855-36.52,15.23c-8.521,3.801-19.409,7.234-26.205,13.937 c-0.914,0.902-0.667,2.449,0.719,2.692c2.678,0.469,4.972-1.073,7.249-2.292c5.776-3.087,12.006-5.505,17.973-8.2 c12.837-5.798,25.609-11.896,37.814-18.934C68.531,215.918,67.695,213.699,66.057,214.314z" /> </svg> </div> <div :style="{ color: color }" class="text" >{{ text }}</div> </div> </template> <script setup lang="ts"> withDefaults(defineProps<{ color?: string text?: string width?: number height?: number transform?: string border?: boolean }>(), { color: '#000000', text: '', width: 100, height: 100, transform: '', border: false, }); </script> <style> .picture-container { text-align: center; margin: 20px 2px 5px 2px; padding-top: 20px; overflow: hidden; outline-width: 2px; outline-style: none; outline-color: #f05b41; } .picture { transition: transform ease-in-out 400ms; display: inline-block; padding: 10px; } .color { fill: #f05b41; } .text { text-align: center; color: #f05b41; font-size: 30px; padding: 30px; white-space: nowrap; text-overflow: ellipsis; overflow: hidden; } .dx-color-scheme-light .base-color, .dx-color-scheme-carmine .base-color, .dx-color-scheme-softblue .base-color { fill: #333; } .dx-color-scheme-contrast .base-color, .dx-color-scheme-darkmoon .base-color { fill: #fff; } .dx-color-scheme-dark .base-color { fill: #dedede; } .dx-color-scheme-darkviolet .base-color { fill: #f5f6f7; } .dx-color-scheme-greenmist .base-color { fill: #28484f; } </style>
window.exports = window.exports || {}; window.config = { transpiler: 'plugin-babel', meta: { '*.vue': { loader: 'vue-loader', }, '*.ts': { loader: 'demo-ts-loader', }, '*.svg': { loader: 'svg-loader', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, }, paths: { 'root:': '../../../../../', 'npm:': 'https://unpkg.com/', }, map: { 'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js', 'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js', 'demo-ts-loader': 'root:utils/demo-ts-loader.js', 'svg-loader': 'root:utils/svg-loader.js', 'mitt': 'npm:mitt/dist/mitt.umd.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign@1.1.0', 'devextreme': 'npm:devextreme@23.2.5/cjs', 'devextreme-vue': 'npm:devextreme-vue@23.2.5/cjs', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'devextreme-quill': 'npm:devextreme-quill@1.6.4/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.5/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.51/dist/dx-gantt.js', '@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12', 'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.4/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js', }, packages: { 'devextreme-vue': { main: 'index.js', }, 'devextreme': { defaultExtension: 'js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', 'npm:@devextreme/runtime@3.0.12/inferno/package.json', ], babelOptions: { sourceMaps: false, stage0: true, }, }; System.config(window.config);
export const tasks = [{ Task_ID: 1, Task_Assigned_Employee_ID: 1, Task_Subject: 'Plans 2015', Task_Start_Date: '2015-01-01T00:00:00', Task_Due_Date: '2015-04-01T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 2, Task_Assigned_Employee_ID: 2, Task_Subject: 'Health Insurance', Task_Start_Date: '2015-02-12T00:00:00', Task_Due_Date: '2015-05-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 75, Task_Parent_ID: 0, }, { Task_ID: 3, Task_Assigned_Employee_ID: 4, Task_Subject: 'New Brochures', Task_Start_Date: '2015-02-17T00:00:00', Task_Due_Date: '2015-03-01T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 4, Task_Assigned_Employee_ID: 31, Task_Subject: 'Training', Task_Start_Date: '2015-03-02T00:00:00', Task_Due_Date: '2015-06-29T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 5, Task_Assigned_Employee_ID: 5, Task_Subject: 'NDA', Task_Start_Date: '2015-03-12T00:00:00', Task_Due_Date: '2015-05-01T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Task_Completion: 90, Task_Parent_ID: 0, }, { Task_ID: 6, Task_Assigned_Employee_ID: 7, Task_Subject: 'Revenue Projections', Task_Start_Date: '2015-03-24T00:00:00', Task_Due_Date: '2015-04-15T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 7, Task_Assigned_Employee_ID: 9, Task_Subject: 'TV Recall', Task_Start_Date: '2015-04-18T00:00:00', Task_Due_Date: '2016-02-04T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 90, Task_Parent_ID: 0, }, { Task_ID: 8, Task_Assigned_Employee_ID: 6, Task_Subject: 'Overtime', Task_Start_Date: '2015-06-10T00:00:00', Task_Due_Date: '2015-06-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 9, Task_Assigned_Employee_ID: 8, Task_Subject: 'Recall and Refund Forms', Task_Start_Date: '2015-06-17T00:00:00', Task_Due_Date: '2016-04-09T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 10, Task_Assigned_Employee_ID: 10, Task_Subject: 'Shippers', Task_Start_Date: '2015-07-10T00:00:00', Task_Due_Date: '2016-04-11T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 11, Task_Assigned_Employee_ID: 6, Task_Subject: 'Hardware Upgrade', Task_Start_Date: '2015-07-22T00:00:00', Task_Due_Date: '2016-05-01T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Task_Completion: 95, Task_Parent_ID: 0, }, { Task_ID: 12, Task_Assigned_Employee_ID: 6, Task_Subject: 'Touch-Enabled Apps', Task_Start_Date: '2015-08-05T00:00:00', Task_Due_Date: '2016-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 90, Task_Parent_ID: 0, }, { Task_ID: 13, Task_Assigned_Employee_ID: 6, Task_Subject: 'Online Sales', Task_Start_Date: '2015-08-20T00:00:00', Task_Due_Date: '2015-09-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 14, Task_Assigned_Employee_ID: 6, Task_Subject: 'New Website Design', Task_Start_Date: '2015-09-17T00:00:00', Task_Due_Date: '2015-11-01T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 15, Task_Assigned_Employee_ID: 6, Task_Subject: 'Bandwidth Increase', Task_Start_Date: '2015-11-01T00:00:00', Task_Due_Date: '2015-11-07T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 16, Task_Assigned_Employee_ID: 18, Task_Subject: 'Support', Task_Start_Date: '2015-11-10T00:00:00', Task_Due_Date: '2015-11-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 17, Task_Assigned_Employee_ID: 31, Task_Subject: 'Training Material', Task_Start_Date: '2015-11-14T00:00:00', Task_Due_Date: '2016-02-05T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 18, Task_Assigned_Employee_ID: 22, Task_Subject: 'New Database', Task_Start_Date: '2015-12-24T00:00:00', Task_Due_Date: '2015-12-29T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 95, Task_Parent_ID: 0, }, { Task_ID: 19, Task_Assigned_Employee_ID: 32, Task_Subject: 'New HDMI Specification', Task_Start_Date: '2016-01-02T00:00:00', Task_Due_Date: '2016-01-31T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 50, Task_Parent_ID: 0, }, { Task_ID: 20, Task_Assigned_Employee_ID: 3, Task_Subject: 'Automation Server', Task_Start_Date: '2016-01-15T00:00:00', Task_Due_Date: '2016-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Task_Completion: 85, Task_Parent_ID: 0, }, { Task_ID: 21, Task_Assigned_Employee_ID: 40, Task_Subject: 'Retail Sales', Task_Start_Date: '2016-01-20T00:00:00', Task_Due_Date: '2016-02-10T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 0, }, { Task_ID: 22, Task_Assigned_Employee_ID: 1, Task_Subject: 'Reports', Task_Start_Date: '2016-03-13T00:00:00', Task_Due_Date: '2016-05-07T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 50, Task_Parent_ID: 0, }, { Task_ID: 23, Task_Assigned_Employee_ID: 5, Task_Subject: 'Budget', Task_Start_Date: '2016-03-20T00:00:00', Task_Due_Date: '2016-04-01T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 30, Task_Parent_ID: 0, }, { Task_ID: 24, Task_Assigned_Employee_ID: 13, Task_Subject: 'Shipping Labels', Task_Start_Date: '2016-04-01T00:00:00', Task_Due_Date: '2016-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 50, Task_Parent_ID: 0, }, { Task_ID: 25, Task_Assigned_Employee_ID: 10, Task_Subject: 'New Warehouse', Task_Start_Date: '2016-04-05T00:00:00', Task_Due_Date: '2016-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 65, Task_Parent_ID: 0, }, { Task_ID: 26, Task_Assigned_Employee_ID: 10, Task_Subject: 'Forklift', Task_Start_Date: '2016-04-07T00:00:00', Task_Due_Date: '2016-04-20T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 20, Task_Parent_ID: 0, }, { Task_ID: 27, Task_Assigned_Employee_ID: 1, Task_Subject: 'Customer Follow Up Plan', Task_Start_Date: '2016-05-05T00:00:00', Task_Due_Date: '2016-05-11T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 40, Task_Parent_ID: 0, }, { Task_ID: 28, Task_Assigned_Employee_ID: 7, Task_Subject: 'Prepare 2015 Financial', Task_Start_Date: '2015-01-15T00:00:00', Task_Due_Date: '2015-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 1, }, { Task_ID: 29, Task_Assigned_Employee_ID: 4, Task_Subject: 'Prepare 2015 Marketing Plan', Task_Start_Date: '2015-01-01T00:00:00', Task_Due_Date: '2015-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 1, }, { Task_ID: 30, Task_Assigned_Employee_ID: 2, Task_Subject: 'Review Health Insurance Options Under the Affordable Care Act', Task_Start_Date: '2015-02-12T00:00:00', Task_Due_Date: '2015-04-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 50, Task_Parent_ID: 2, }, { Task_ID: 31, Task_Assigned_Employee_ID: 1, Task_Subject: 'Choose between PPO and HMO Health Plan', Task_Start_Date: '2015-02-15T00:00:00', Task_Due_Date: '2015-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 75, Task_Parent_ID: 2, }, { Task_ID: 32, Task_Assigned_Employee_ID: 1, Task_Subject: 'Google AdWords Strategy', Task_Start_Date: '2015-02-16T00:00:00', Task_Due_Date: '2015-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 29, }, { Task_ID: 34, Task_Assigned_Employee_ID: 28, Task_Subject: '2015 Brochure Designs', Task_Start_Date: '2015-02-19T00:00:00', Task_Due_Date: '2015-02-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 3, }, { Task_ID: 35, Task_Assigned_Employee_ID: 29, Task_Subject: 'Brochure Design Review', Task_Start_Date: '2015-02-19T00:00:00', Task_Due_Date: '2015-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 34, }, { Task_ID: 36, Task_Assigned_Employee_ID: 29, Task_Subject: 'Website Re-Design Plan', Task_Start_Date: '2015-02-19T00:00:00', Task_Due_Date: '2015-02-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 34, }, { Task_ID: 37, Task_Assigned_Employee_ID: 4, Task_Subject: 'Rollout of New Website and Marketing Brochures', Task_Start_Date: '2015-02-20T00:00:00', Task_Due_Date: '2015-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 3, }, { Task_ID: 38, Task_Assigned_Employee_ID: 8, Task_Subject: 'Update Sales Strategy Documents', Task_Start_Date: '2015-02-20T00:00:00', Task_Due_Date: '2015-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 29, }, { Task_ID: 39, Task_Assigned_Employee_ID: 41, Task_Subject: 'Create 2012 Sales Report', Task_Start_Date: '2015-02-20T00:00:00', Task_Due_Date: '2015-02-21T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 29, }, { Task_ID: 40, Task_Assigned_Employee_ID: 42, Task_Subject: 'Direct vs Online Sales Comparison Report', Task_Start_Date: '2015-02-20T00:00:00', Task_Due_Date: '2015-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 29, }, { Task_ID: 41, Task_Assigned_Employee_ID: 4, Task_Subject: 'Review 2012 Sales Report and Approve 2015 Plans', Task_Start_Date: '2015-02-23T00:00:00', Task_Due_Date: '2015-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 29, }, { Task_ID: 42, Task_Assigned_Employee_ID: 3, Task_Subject: 'Deliver R&D Plans for 2015', Task_Start_Date: '2015-03-01T00:00:00', Task_Due_Date: '2015-03-10T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 1, }, { Task_ID: 43, Task_Assigned_Employee_ID: 32, Task_Subject: 'Create 2015 R&D Plans', Task_Start_Date: '2015-03-01T00:00:00', Task_Due_Date: '2015-03-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 42, }, { Task_ID: 44, Task_Assigned_Employee_ID: 33, Task_Subject: '2015 QA Strategy Report', Task_Start_Date: '2015-03-02T00:00:00', Task_Due_Date: '2015-03-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 42, }, { Task_ID: 45, Task_Assigned_Employee_ID: 31, Task_Subject: '2015 Training Events', Task_Start_Date: '2015-03-02T00:00:00', Task_Due_Date: '2015-03-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 4, }, { Task_ID: 46, Task_Assigned_Employee_ID: 2, Task_Subject: 'Non-Compete Agreements', Task_Start_Date: '2015-03-12T00:00:00', Task_Due_Date: '2015-03-14T00:00:00', Task_Status: 'Completed', Task_Priority: 1, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 47, Task_Assigned_Employee_ID: 1, Task_Subject: 'Update NDA Agreement', Task_Start_Date: '2015-03-14T00:00:00', Task_Due_Date: '2015-03-16T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 48, Task_Assigned_Employee_ID: 5, Task_Subject: 'Update Employee Files with New NDA', Task_Start_Date: '2015-03-16T00:00:00', Task_Due_Date: '2015-03-26T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 2, Task_Completion: 90, Task_Parent_ID: 5, }, { Task_ID: 49, Task_Assigned_Employee_ID: 6, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2015-03-20T00:00:00', Task_Due_Date: '2015-03-25T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 50, Task_Assigned_Employee_ID: 7, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2015-03-20T00:00:00', Task_Due_Date: '2015-03-25T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 51, Task_Assigned_Employee_ID: 8, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2015-03-20T00:00:00', Task_Due_Date: '2015-03-25T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 3, Task_Completion: 25, Task_Parent_ID: 5, }, { Task_ID: 52, Task_Assigned_Employee_ID: 9, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2015-03-20T00:00:00', Task_Due_Date: '2015-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 53, Task_Assigned_Employee_ID: 17, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2015-03-21T00:00:00', Task_Due_Date: '2015-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 54, Task_Assigned_Employee_ID: 18, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2015-03-21T00:00:00', Task_Due_Date: '2015-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 55, Task_Assigned_Employee_ID: 19, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2015-03-21T00:00:00', Task_Due_Date: '2015-03-24T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 4, Task_Completion: 25, Task_Parent_ID: 5, }, { Task_ID: 56, Task_Assigned_Employee_ID: 14, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2015-03-22T00:00:00', Task_Due_Date: '2015-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 57, Task_Assigned_Employee_ID: 13, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2015-03-22T00:00:00', Task_Due_Date: '2015-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 58, Task_Assigned_Employee_ID: 15, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2015-03-22T00:00:00', Task_Due_Date: '2015-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 59, Task_Assigned_Employee_ID: 16, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2015-03-22T00:00:00', Task_Due_Date: '2015-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 5, }, { Task_ID: 60, Task_Assigned_Employee_ID: 7, Task_Subject: 'Update Revenue Projections', Task_Start_Date: '2015-03-24T00:00:00', Task_Due_Date: '2015-04-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 6, }, { Task_ID: 61, Task_Assigned_Employee_ID: 8, Task_Subject: 'Review Revenue Projections', Task_Start_Date: '2015-03-25T00:00:00', Task_Due_Date: '2015-04-06T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 6, }, { Task_ID: 62, Task_Assigned_Employee_ID: 41, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2015-03-25T00:00:00', Task_Due_Date: '2015-04-03T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 6, }, { Task_ID: 63, Task_Assigned_Employee_ID: 42, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2015-03-25T00:00:00', Task_Due_Date: '2015-04-03T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 6, }, { Task_ID: 64, Task_Assigned_Employee_ID: 45, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2015-03-25T00:00:00', Task_Due_Date: '2015-04-03T00:00:00', Task_Status: 'Deferred', Task_Priority: 3, Task_Completion: 25, Task_Parent_ID: 6, }, { Task_ID: 65, Task_Assigned_Employee_ID: 5, Task_Subject: 'Provide New Health Insurance Docs', Task_Start_Date: '2015-03-28T00:00:00', Task_Due_Date: '2015-04-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 2, }, { Task_ID: 66, Task_Assigned_Employee_ID: 10, Task_Subject: 'Review Changes to Health Insurance Coverage', Task_Start_Date: '2015-04-07T00:00:00', Task_Due_Date: '2015-04-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 2, }, { Task_ID: 67, Task_Assigned_Employee_ID: 14, Task_Subject: 'Scan Health Insurance Forms', Task_Start_Date: '2015-04-15T00:00:00', Task_Due_Date: '2015-04-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 2, }, { Task_ID: 68, Task_Assigned_Employee_ID: 15, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2015-04-16T00:00:00', Task_Due_Date: '2015-04-19T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 2, }, { Task_ID: 69, Task_Assigned_Employee_ID: 13, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2015-04-16T00:00:00', Task_Due_Date: '2015-04-19T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 2, }, { Task_ID: 70, Task_Assigned_Employee_ID: 16, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2015-04-16T00:00:00', Task_Due_Date: '2015-04-19T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 2, }, { Task_ID: 71, Task_Assigned_Employee_ID: 18, Task_Subject: 'Follow up with West Coast Stores', Task_Start_Date: '2015-04-18T00:00:00', Task_Due_Date: '2016-02-04T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Task_Completion: 95, Task_Parent_ID: 7, }, { Task_ID: 72, Task_Assigned_Employee_ID: 17, Task_Subject: 'Follow up with East Coast Stores', Task_Start_Date: '2015-04-18T00:00:00', Task_Due_Date: '2016-01-04T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Task_Completion: 85, Task_Parent_ID: 7, }, { Task_ID: 73, Task_Assigned_Employee_ID: 19, Task_Subject: 'Send Email to Customers about Recall', Task_Start_Date: '2015-04-18T00:00:00', Task_Due_Date: '2015-04-30T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 7, }, { Task_ID: 74, Task_Assigned_Employee_ID: 9, Task_Subject: 'Submit Refund Report for 2015 Recall', Task_Start_Date: '2015-04-25T00:00:00', Task_Due_Date: '2015-05-05T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 7, }, { Task_ID: 75, Task_Assigned_Employee_ID: 2, Task_Subject: 'Give Final Approval for Refunds', Task_Start_Date: '2015-05-05T00:00:00', Task_Due_Date: '2015-05-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 7, }, { Task_ID: 76, Task_Assigned_Employee_ID: 32, Task_Subject: 'Prepare Product Recall Report', Task_Start_Date: '2015-05-10T00:00:00', Task_Due_Date: '2015-05-16T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 7, }, { Task_ID: 77, Task_Assigned_Employee_ID: 1, Task_Subject: 'Review Product Recall Report by Engineering Team', Task_Start_Date: '2015-05-17T00:00:00', Task_Due_Date: '2015-05-20T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 7, }, { Task_ID: 78, Task_Assigned_Employee_ID: 31, Task_Subject: 'Create Training Course for New TVs', Task_Start_Date: '2015-05-29T00:00:00', Task_Due_Date: '2015-06-29T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 4, }, { Task_ID: 79, Task_Assigned_Employee_ID: 33, Task_Subject: 'Review Training Course for any Omissions', Task_Start_Date: '2015-06-01T00:00:00', Task_Due_Date: '2015-06-15T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 4, }, { Task_ID: 80, Task_Assigned_Employee_ID: 6, Task_Subject: 'Review Overtime Report', Task_Start_Date: '2015-06-10T00:00:00', Task_Due_Date: '2015-06-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 8, }, { Task_ID: 81, Task_Assigned_Employee_ID: 21, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2015-06-11T00:00:00', Task_Due_Date: '2015-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 8, }, { Task_ID: 82, Task_Assigned_Employee_ID: 22, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2015-06-11T00:00:00', Task_Due_Date: '2015-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 8, }, { Task_ID: 83, Task_Assigned_Employee_ID: 23, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2015-06-11T00:00:00', Task_Due_Date: '2015-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 8, }, { Task_ID: 84, Task_Assigned_Employee_ID: 2, Task_Subject: 'Overtime Approval Guidelines', Task_Start_Date: '2015-06-15T00:00:00', Task_Due_Date: '2015-06-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 8, }, { Task_ID: 85, Task_Assigned_Employee_ID: 8, Task_Subject: 'Refund Request Template', Task_Start_Date: '2015-06-17T00:00:00', Task_Due_Date: '2016-04-01T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 9, }, { Task_ID: 86, Task_Assigned_Employee_ID: 8, Task_Subject: 'Recall Rebate Form', Task_Start_Date: '2015-06-17T00:00:00', Task_Due_Date: '2016-04-01T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 9, }, { Task_ID: 87, Task_Assigned_Employee_ID: 12, Task_Subject: 'Create Report on Customer Feedback', Task_Start_Date: '2015-06-20T00:00:00', Task_Due_Date: '2015-06-30T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 9, }, { Task_ID: 88, Task_Assigned_Employee_ID: 8, Task_Subject: 'Review Customer Feedback Report', Task_Start_Date: '2015-06-30T00:00:00', Task_Due_Date: '2015-07-03T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 9, }, { Task_ID: 89, Task_Assigned_Employee_ID: 1, Task_Subject: 'Customer Feedback Report Analysis', Task_Start_Date: '2015-07-05T00:00:00', Task_Due_Date: '2016-04-09T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 9, }, { Task_ID: 90, Task_Assigned_Employee_ID: 10, Task_Subject: 'Prepare Shipping Cost Analysis Report', Task_Start_Date: '2015-07-10T00:00:00', Task_Due_Date: '2015-07-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 10, }, { Task_ID: 91, Task_Assigned_Employee_ID: 13, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2015-07-11T00:00:00', Task_Due_Date: '2015-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 10, }, { Task_ID: 92, Task_Assigned_Employee_ID: 15, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2015-07-11T00:00:00', Task_Due_Date: '2015-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 10, }, { Task_ID: 93, Task_Assigned_Employee_ID: 16, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2015-07-11T00:00:00', Task_Due_Date: '2015-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 10, }, { Task_ID: 94, Task_Assigned_Employee_ID: 2, Task_Subject: 'Select Preferred Shipper', Task_Start_Date: '2015-07-16T00:00:00', Task_Due_Date: '2015-07-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 10, }, { Task_ID: 95, Task_Assigned_Employee_ID: 1, Task_Subject: 'Complete Shipper Selection Form', Task_Start_Date: '2015-07-21T00:00:00', Task_Due_Date: '2016-04-11T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Task_Completion: 0, Task_Parent_ID: 10, }, { Task_ID: 96, Task_Assigned_Employee_ID: 6, Task_Subject: 'Upgrade Server Hardware', Task_Start_Date: '2015-07-22T00:00:00', Task_Due_Date: '2015-07-31T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 11, }, { Task_ID: 97, Task_Assigned_Employee_ID: 6, Task_Subject: 'Upgrade Personal Computers', Task_Start_Date: '2015-07-24T00:00:00', Task_Due_Date: '2016-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 85, Task_Parent_ID: 11, }, { Task_ID: 98, Task_Assigned_Employee_ID: 2, Task_Subject: 'Approve Personal Computer Upgrade Plan', Task_Start_Date: '2015-07-24T00:00:00', Task_Due_Date: '2015-07-31T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 11, }, { Task_ID: 99, Task_Assigned_Employee_ID: 3, Task_Subject: 'Decide on Mobile Devices to Use in the Field', Task_Start_Date: '2015-07-30T00:00:00', Task_Due_Date: '2015-08-02T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 11, }, { Task_ID: 100, Task_Assigned_Employee_ID: 6, Task_Subject: 'Upgrade Apps to Windows RT or stay with WinForms', Task_Start_Date: '2015-08-01T00:00:00', Task_Due_Date: '2015-08-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 12, }, { Task_ID: 101, Task_Assigned_Employee_ID: 25, Task_Subject: 'Estimate Time Required to Touch-Enable Apps', Task_Start_Date: '2015-08-05T00:00:00', Task_Due_Date: '2015-08-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 12, }, { Task_ID: 102, Task_Assigned_Employee_ID: 23, Task_Subject: 'Report on Tranistion to Touch-Based Apps', Task_Start_Date: '2015-08-10T00:00:00', Task_Due_Date: '2015-08-11T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 12, }, { Task_ID: 103, Task_Assigned_Employee_ID: 3, Task_Subject: 'Try New Touch-Enabled WinForms Apps', Task_Start_Date: '2015-08-11T00:00:00', Task_Due_Date: '2015-08-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 12, }, { Task_ID: 104, Task_Assigned_Employee_ID: 24, Task_Subject: 'Rollout New Touch-Enabled WinForms Apps', Task_Start_Date: '2015-08-17T00:00:00', Task_Due_Date: '2016-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 75, Task_Parent_ID: 12, }, { Task_ID: 105, Task_Assigned_Employee_ID: 6, Task_Subject: 'Site Up-Time Report', Task_Start_Date: '2015-08-20T00:00:00', Task_Due_Date: '2015-08-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 13, }, { Task_ID: 106, Task_Assigned_Employee_ID: 4, Task_Subject: 'Review Site Up-Time Report', Task_Start_Date: '2015-08-24T00:00:00', Task_Due_Date: '2015-08-30T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 13, }, { Task_ID: 107, Task_Assigned_Employee_ID: 1, Task_Subject: 'Review Online Sales Report', Task_Start_Date: '2015-08-30T00:00:00', Task_Due_Date: '2015-09-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 13, }, { Task_ID: 108, Task_Assigned_Employee_ID: 8, Task_Subject: 'Determine New Online Marketing Strategy', Task_Start_Date: '2015-09-03T00:00:00', Task_Due_Date: '2015-09-10T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 13, }, { Task_ID: 109, Task_Assigned_Employee_ID: 42, Task_Subject: 'New Online Marketing Strategy', Task_Start_Date: '2015-09-05T00:00:00', Task_Due_Date: '2015-09-11T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 13, }, { Task_ID: 110, Task_Assigned_Employee_ID: 4, Task_Subject: 'Approve New Online Marketing Strategy', Task_Start_Date: '2015-09-15T00:00:00', Task_Due_Date: '2015-09-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 13, }, { Task_ID: 111, Task_Assigned_Employee_ID: 28, Task_Subject: 'Submit New Website Design', Task_Start_Date: '2015-09-17T00:00:00', Task_Due_Date: '2015-09-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 14, }, { Task_ID: 112, Task_Assigned_Employee_ID: 29, Task_Subject: 'Create Icons for Website', Task_Start_Date: '2015-09-17T00:00:00', Task_Due_Date: '2015-09-21T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 111, }, { Task_ID: 113, Task_Assigned_Employee_ID: 6, Task_Subject: 'Review PSDs for New Website', Task_Start_Date: '2015-09-23T00:00:00', Task_Due_Date: '2015-10-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 111, }, { Task_ID: 114, Task_Assigned_Employee_ID: 24, Task_Subject: 'Create New Shopping Cart', Task_Start_Date: '2015-09-24T00:00:00', Task_Due_Date: '2015-10-01T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 113, }, { Task_ID: 115, Task_Assigned_Employee_ID: 25, Task_Subject: 'Create New Product Pages', Task_Start_Date: '2015-09-24T00:00:00', Task_Due_Date: '2015-10-04T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 113, }, { Task_ID: 116, Task_Assigned_Employee_ID: 8, Task_Subject: 'Review New Product Pages', Task_Start_Date: '2015-10-04T00:00:00', Task_Due_Date: '2015-10-10T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 113, }, { Task_ID: 117, Task_Assigned_Employee_ID: 4, Task_Subject: 'Approve Website Launch', Task_Start_Date: '2015-10-10T00:00:00', Task_Due_Date: '2015-10-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 113, }, { Task_ID: 118, Task_Assigned_Employee_ID: 6, Task_Subject: 'Launch New Website', Task_Start_Date: '2015-10-15T00:00:00', Task_Due_Date: '2015-10-16T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 111, }, { Task_ID: 119, Task_Assigned_Employee_ID: 14, Task_Subject: 'Update Customer Shipping Profiles', Task_Start_Date: '2015-10-20T00:00:00', Task_Due_Date: '2015-10-22T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 14, }, { Task_ID: 120, Task_Assigned_Employee_ID: 6, Task_Subject: 'Create New Shipping Return Labels', Task_Start_Date: '2015-10-21T00:00:00', Task_Due_Date: '2015-10-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 119, }, { Task_ID: 121, Task_Assigned_Employee_ID: 23, Task_Subject: 'Get Design for Shipping Return Labels', Task_Start_Date: '2015-10-21T00:00:00', Task_Due_Date: '2015-10-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 119, }, { Task_ID: 122, Task_Assigned_Employee_ID: 29, Task_Subject: 'PSD needed for Shipping Return Labels', Task_Start_Date: '2015-10-22T00:00:00', Task_Due_Date: '2015-10-27T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 119, }, { Task_ID: 123, Task_Assigned_Employee_ID: 6, Task_Subject: 'Request Bandwidth Increase from ISP', Task_Start_Date: '2015-11-01T00:00:00', Task_Due_Date: '2015-11-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 15, }, { Task_ID: 124, Task_Assigned_Employee_ID: 7, Task_Subject: 'Submit D&B Number to ISP for Credit Approval', Task_Start_Date: '2015-11-04T00:00:00', Task_Due_Date: '2015-11-07T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 15, }, { Task_ID: 125, Task_Assigned_Employee_ID: 2, Task_Subject: 'Contact ISP and Discuss Payment Options', Task_Start_Date: '2015-11-05T00:00:00', Task_Due_Date: '2015-11-06T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 15, }, { Task_ID: 126, Task_Assigned_Employee_ID: 18, Task_Subject: 'Prepare Year-End Support Summary Report', Task_Start_Date: '2015-11-10T00:00:00', Task_Due_Date: '2015-11-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 16, }, { Task_ID: 127, Task_Assigned_Employee_ID: 19, Task_Subject: 'Analyze Support Traffic for 2015', Task_Start_Date: '2015-11-11T00:00:00', Task_Due_Date: '2015-11-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 16, }, { Task_ID: 128, Task_Assigned_Employee_ID: 33, Task_Subject: 'Review New Training Material', Task_Start_Date: '2015-11-14T00:00:00', Task_Due_Date: '2015-11-18T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 17, }, { Task_ID: 129, Task_Assigned_Employee_ID: 31, Task_Subject: 'Distribute Training Material to Support Staff', Task_Start_Date: '2015-11-18T00:00:00', Task_Due_Date: '2015-11-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 17, }, { Task_ID: 130, Task_Assigned_Employee_ID: 9, Task_Subject: 'Training Material Distribution Schedule', Task_Start_Date: '2015-11-30T00:00:00', Task_Due_Date: '2015-12-02T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 17, }, { Task_ID: 131, Task_Assigned_Employee_ID: 28, Task_Subject: 'Provide New Artwork to Support Team', Task_Start_Date: '2015-12-03T00:00:00', Task_Due_Date: '2015-12-04T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 17, }, { Task_ID: 132, Task_Assigned_Employee_ID: 29, Task_Subject: 'Publish New Art on the Server', Task_Start_Date: '2015-12-03T00:00:00', Task_Due_Date: '2015-12-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 131, }, { Task_ID: 133, Task_Assigned_Employee_ID: 12, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2015-12-07T00:00:00', Task_Due_Date: '2015-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 131, }, { Task_ID: 134, Task_Assigned_Employee_ID: 20, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2015-12-07T00:00:00', Task_Due_Date: '2015-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 131, }, { Task_ID: 135, Task_Assigned_Employee_ID: 40, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2015-12-07T00:00:00', Task_Due_Date: '2015-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 131, }, { Task_ID: 136, Task_Assigned_Employee_ID: 8, Task_Subject: 'Ship New Brochures to Field', Task_Start_Date: '2015-12-19T00:00:00', Task_Due_Date: '2015-12-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 17, }, { Task_ID: 137, Task_Assigned_Employee_ID: 14, Task_Subject: 'Ship Brochures to Todd Hoffman', Task_Start_Date: '2015-12-23T00:00:00', Task_Due_Date: '2015-12-31T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 17, }, { Task_ID: 138, Task_Assigned_Employee_ID: 22, Task_Subject: 'Update Server with Service Packs', Task_Start_Date: '2015-12-24T00:00:00', Task_Due_Date: '2015-12-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Task_Completion: 100, Task_Parent_ID: 18, }, { Task_ID: 139, Task_Assigned_Employee_ID: 22, Task_Subject: 'Install New Database', Task_Start_Date: '2015-12-27T00:00:00', Task_Due_Date: '2015-12-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 18, }, { Task_ID: 140, Task_Assigned_Employee_ID: 6, Task_Subject: 'Approve Overtime for HR', Task_Start_Date: '2015-12-29T00:00:00', Task_Due_Date: '2015-12-29T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 18, }, { Task_ID: 141, Task_Assigned_Employee_ID: 32, Task_Subject: 'Review New HDMI Specification', Task_Start_Date: '2016-01-02T00:00:00', Task_Due_Date: '2016-01-31T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 50, Task_Parent_ID: 19, }, { Task_ID: 142, Task_Assigned_Employee_ID: 3, Task_Subject: 'Approval on Converting to New HDMI Specification', Task_Start_Date: '2016-01-11T00:00:00', Task_Due_Date: '2016-01-31T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 75, Task_Parent_ID: 19, }, { Task_ID: 143, Task_Assigned_Employee_ID: 24, Task_Subject: 'Create New Spike for Automation Server', Task_Start_Date: '2016-01-15T00:00:00', Task_Due_Date: '2016-01-27T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 20, }, { Task_ID: 144, Task_Assigned_Employee_ID: 41, Task_Subject: 'Report on Retail Sales Strategy for 2016', Task_Start_Date: '2016-01-20T00:00:00', Task_Due_Date: '2016-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 21, }, { Task_ID: 145, Task_Assigned_Employee_ID: 25, Task_Subject: 'Code Review - New Automation Server', Task_Start_Date: '2016-01-27T00:00:00', Task_Due_Date: '2016-02-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 75, Task_Parent_ID: 20, }, { Task_ID: 146, Task_Assigned_Employee_ID: 17, Task_Subject: 'Feedback on New Training Course', Task_Start_Date: '2016-01-28T00:00:00', Task_Due_Date: '2016-02-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 17, }, { Task_ID: 147, Task_Assigned_Employee_ID: 10, Task_Subject: 'Send Monthly Invoices from Shippers', Task_Start_Date: '2016-02-01T00:00:00', Task_Due_Date: '2016-02-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 10, }, { Task_ID: 148, Task_Assigned_Employee_ID: 40, Task_Subject: 'Schedule Meeting with Sales Team', Task_Start_Date: '2016-02-07T00:00:00', Task_Due_Date: '2016-02-09T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 21, }, { Task_ID: 149, Task_Assigned_Employee_ID: 42, Task_Subject: 'Confirm Availability for Sales Meeting', Task_Start_Date: '2016-02-09T00:00:00', Task_Due_Date: '2016-02-09T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 21, }, { Task_ID: 150, Task_Assigned_Employee_ID: 39, Task_Subject: 'Reschedule Sales Team Meeting', Task_Start_Date: '2016-02-10T00:00:00', Task_Due_Date: '2016-02-10T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 21, }, { Task_ID: 151, Task_Assigned_Employee_ID: 45, Task_Subject: 'Update Database with New Leads', Task_Start_Date: '2016-03-01T00:00:00', Task_Due_Date: '2016-03-10T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 80, Task_Parent_ID: 18, }, { Task_ID: 152, Task_Assigned_Employee_ID: 12, Task_Subject: 'Send Territory Sales Breakdown', Task_Start_Date: '2016-03-13T00:00:00', Task_Due_Date: '2016-03-16T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 50, Task_Parent_ID: 22, }, { Task_ID: 153, Task_Assigned_Employee_ID: 41, Task_Subject: 'Territory Sales Breakdown Report', Task_Start_Date: '2016-03-17T00:00:00', Task_Due_Date: '2016-03-17T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Task_Completion: 50, Task_Parent_ID: 22, }, { Task_ID: 154, Task_Assigned_Employee_ID: 3, Task_Subject: 'Return Merchandise Report', Task_Start_Date: '2016-03-17T00:00:00', Task_Due_Date: '2016-03-18T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 25, Task_Parent_ID: 22, }, { Task_ID: 155, Task_Assigned_Employee_ID: 32, Task_Subject: 'Report on the State of Engineering Dept', Task_Start_Date: '2016-03-18T00:00:00', Task_Due_Date: '2016-03-19T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 22, }, { Task_ID: 156, Task_Assigned_Employee_ID: 6, Task_Subject: 'Staff Productivity Report', Task_Start_Date: '2016-03-20T00:00:00', Task_Due_Date: '2016-03-21T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 23, }, { Task_ID: 157, Task_Assigned_Employee_ID: 5, Task_Subject: 'Review HR Budget Company Wide', Task_Start_Date: '2016-03-20T00:00:00', Task_Due_Date: '2016-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 40, Task_Parent_ID: 23, }, { Task_ID: 158, Task_Assigned_Employee_ID: 8, Task_Subject: 'Sales Dept Budget Request Report', Task_Start_Date: '2016-03-23T00:00:00', Task_Due_Date: '2016-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 75, Task_Parent_ID: 23, }, { Task_ID: 159, Task_Assigned_Employee_ID: 9, Task_Subject: 'Support Dept Budget Report', Task_Start_Date: '2016-03-23T00:00:00', Task_Due_Date: '2016-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 60, Task_Parent_ID: 23, }, { Task_ID: 160, Task_Assigned_Employee_ID: 6, Task_Subject: 'IT Dept Budget Request Report', Task_Start_Date: '2016-03-23T00:00:00', Task_Due_Date: '2016-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 30, Task_Parent_ID: 23, }, { Task_ID: 161, Task_Assigned_Employee_ID: 32, Task_Subject: 'Engineering Dept Budget Request Report', Task_Start_Date: '2016-03-23T00:00:00', Task_Due_Date: '2016-03-25T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Task_Completion: 0, Task_Parent_ID: 23, }, { Task_ID: 162, Task_Assigned_Employee_ID: 26, Task_Subject: '1Q Travel Spend Report', Task_Start_Date: '2016-03-24T00:00:00', Task_Due_Date: '2016-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 30, Task_Parent_ID: 23, }, { Task_ID: 163, Task_Assigned_Employee_ID: 7, Task_Subject: 'Approve Benefits Upgrade Package', Task_Start_Date: '2016-03-26T00:00:00', Task_Due_Date: '2016-03-27T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 23, }, { Task_ID: 164, Task_Assigned_Employee_ID: 5, Task_Subject: 'Final Budget Review', Task_Start_Date: '2016-03-26T00:00:00', Task_Due_Date: '2016-03-27T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 25, Task_Parent_ID: 23, }, { Task_ID: 165, Task_Assigned_Employee_ID: 2, Task_Subject: 'State of Operations Report', Task_Start_Date: '2016-03-28T00:00:00', Task_Due_Date: '2016-03-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 45, Task_Parent_ID: 22, }, { Task_ID: 166, Task_Assigned_Employee_ID: 42, Task_Subject: 'Online Sales Report', Task_Start_Date: '2016-03-29T00:00:00', Task_Due_Date: '2016-03-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 55, Task_Parent_ID: 22, }, { Task_ID: 167, Task_Assigned_Employee_ID: 13, Task_Subject: 'Reprint All Shipping Labels', Task_Start_Date: '2016-04-01T00:00:00', Task_Due_Date: '2016-04-10T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 10, Task_Parent_ID: 24, }, { Task_ID: 168, Task_Assigned_Employee_ID: 28, Task_Subject: 'Shipping Label Artwork', Task_Start_Date: '2016-04-02T00:00:00', Task_Due_Date: '2016-04-09T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 40, Task_Parent_ID: 24, }, { Task_ID: 169, Task_Assigned_Employee_ID: 13, Task_Subject: 'Specs for New Shipping Label', Task_Start_Date: '2016-04-04T00:00:00', Task_Due_Date: '2016-04-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Task_Completion: 100, Task_Parent_ID: 24, }, { Task_ID: 170, Task_Assigned_Employee_ID: 15, Task_Subject: 'Move Packaging Materials to New Warehouse', Task_Start_Date: '2016-04-05T00:00:00', Task_Due_Date: '2016-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 60, Task_Parent_ID: 25, }, { Task_ID: 171, Task_Assigned_Employee_ID: 16, Task_Subject: 'Move Inventory to New Warehouse', Task_Start_Date: '2016-04-05T00:00:00', Task_Due_Date: '2016-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 70, Task_Parent_ID: 25, }, { Task_ID: 172, Task_Assigned_Employee_ID: 14, Task_Subject: 'Take Forklift to Service Center', Task_Start_Date: '2016-04-07T00:00:00', Task_Due_Date: '2016-04-18T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 60, Task_Parent_ID: 26, }, { Task_ID: 173, Task_Assigned_Employee_ID: 10, Task_Subject: 'Approve Rental of Forklift', Task_Start_Date: '2016-04-08T00:00:00', Task_Due_Date: '2016-04-09T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 4, Task_Completion: 0, Task_Parent_ID: 26, }, { Task_ID: 174, Task_Assigned_Employee_ID: 7, Task_Subject: 'Give Final Approval to Rent Forklift', Task_Start_Date: '2016-04-08T00:00:00', Task_Due_Date: '2016-04-08T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 26, }, { Task_ID: 175, Task_Assigned_Employee_ID: 9, Task_Subject: 'Review Complaint Reports', Task_Start_Date: '2016-04-17T00:00:00', Task_Due_Date: '2016-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Task_Completion: 40, Task_Parent_ID: 22, }, { Task_ID: 176, Task_Assigned_Employee_ID: 6, Task_Subject: 'Review Website Complaint Reports', Task_Start_Date: '2016-04-18T00:00:00', Task_Due_Date: '2016-04-24T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 65, Task_Parent_ID: 22, }, { Task_ID: 177, Task_Assigned_Employee_ID: 33, Task_Subject: 'Test New Automation App', Task_Start_Date: '2016-04-20T00:00:00', Task_Due_Date: '2016-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 80, Task_Parent_ID: 20, }, { Task_ID: 178, Task_Assigned_Employee_ID: 38, Task_Subject: 'Fix Synchronization Issues', Task_Start_Date: '2016-04-21T00:00:00', Task_Due_Date: '2016-04-21T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Task_Completion: 100, Task_Parent_ID: 20, }, { Task_ID: 179, Task_Assigned_Employee_ID: 22, Task_Subject: 'Free Up Space for New Application Set', Task_Start_Date: '2016-04-19T00:00:00', Task_Due_Date: '2016-04-19T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 20, }, { Task_ID: 180, Task_Assigned_Employee_ID: 9, Task_Subject: 'Support Team Evaluation Report', Task_Start_Date: '2016-05-01T00:00:00', Task_Due_Date: '2016-05-07T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 22, }, { Task_ID: 181, Task_Assigned_Employee_ID: 1, Task_Subject: 'Review New Customer Follow Up Plan', Task_Start_Date: '2016-05-05T00:00:00', Task_Due_Date: '2016-05-11T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Task_Completion: 75, Task_Parent_ID: 27, }, { Task_ID: 182, Task_Assigned_Employee_ID: 2, Task_Subject: 'Submit Customer Follow Up Plan Feedback', Task_Start_Date: '2016-05-06T00:00:00', Task_Due_Date: '2016-05-10T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Task_Completion: 0, Task_Parent_ID: 27, }]; export const employees = [{ ID: 1, Name: 'John Heart', Picture: '../../../../images/employees/01.png', }, { ID: 2, Name: 'Samantha Bright', Picture: '../../../../images/employees/04.png', }, { ID: 3, Name: 'Arthur Miller', Picture: '../../../../images/employees/02.png', }, { ID: 4, Name: 'Robert Reagan', Picture: '../../../../images/employees/03.png', }, { ID: 5, Name: 'Greta Sims', Picture: '../../../../images/employees/06.png', }, { ID: 6, Name: 'Brett Wade', Picture: '../../../../images/employees/05.png', }, { ID: 7, Name: 'Sandra Johnson', Picture: '../../../../images/employees/08.png', }, { ID: 8, Name: 'Ed Holmes', Picture: '../../../../images/employees/07.png', }, { ID: 9, Name: 'Barb Banks', Picture: '../../../../images/employees/09.png', }, { ID: 10, Name: 'Kevin Carter', Picture: '../../../../images/employees/10.png', }, { ID: 11, Name: 'Cindy Stanwick', Picture: '../../../../images/employees/15.png', }, { ID: 12, Name: 'Sammy Hill', Picture: '../../../../images/employees/11.png', }, { ID: 13, Name: 'Davey Jones', Picture: '../../../../images/employees/12.png', }, { ID: 14, Name: 'Victor Norris', Picture: '../../../../images/employees/13.png', }, { ID: 15, Name: 'Mary Stern', Picture: '../../../../images/employees/16.png', }, { ID: 16, Name: 'Robin Cosworth', Picture: '../../../../images/employees/14.png', }, { ID: 17, Name: 'Kelly Rodriguez', Picture: '../../../../images/employees/17.png', }, { ID: 18, Name: 'James Anderson', Picture: '../../../../images/employees/18.png', }, { ID: 19, Name: 'Antony Remmen', Picture: '../../../../images/employees/19.png', }, { ID: 20, Name: 'Olivia Peyton', Picture: '../../../../images/employees/20.png', }, { ID: 21, Name: 'Taylor Riley', Picture: '../../../../images/employees/21.png', }, { ID: 22, Name: 'Amelia Harper', Picture: '../../../../images/employees/22.png', }, { ID: 23, Name: 'Wally Hobbs', Picture: '../../../../images/employees/23.png', }, { ID: 24, Name: 'Brad Jameson', Picture: '../../../../images/employees/24.png', }, { ID: 25, Name: 'Karen Goodson', Picture: '../../../../images/employees/25.png', }, { ID: 26, Name: 'Marcus Orbison', Picture: '../../../../images/employees/26.png', }, { ID: 27, Name: 'Sandy Bright', Picture: '../../../../images/employees/27.png', }, { ID: 28, Name: 'Morgan Kennedy', Picture: '../../../../images/employees/28.png', }, { ID: 29, Name: 'Violet Bailey', Picture: '../../../../images/employees/29.png', }, { ID: 30, Name: 'Ken Samuelson', Picture: '../../../../images/employees/32.png', }, { ID: 31, Name: 'Nat Maguiree', Picture: '../../../../images/employees/34.png', }, { ID: 32, Name: 'Bart Arnaz', Picture: '../../../../images/employees/37.png', }, { ID: 33, Name: 'Leah Simpson', Picture: '../../../../images/employees/38.png', }, { ID: 34, Name: 'Arnie Schwartz', Picture: '../../../../images/employees/40.png', }, { ID: 35, Name: 'Billy Zimmer', Picture: '../../../../images/employees/42.png', }, { ID: 36, Name: 'Samantha Piper', Picture: '../../../../images/employees/30.png', }, { ID: 37, Name: 'Maggie Boxter', Picture: '../../../../images/employees/31.png', }, { ID: 38, Name: 'Terry Bradley', Picture: '../../../../images/employees/33.png', }, { ID: 39, Name: 'Gabe Jones', Picture: '../../../../images/employees/35.png', }, { ID: 40, Name: 'Lucy Ball', Picture: '../../../../images/employees/36.png', }, { ID: 41, Name: 'Jim Packard', Picture: '../../../../images/employees/43.png', }, { ID: 42, Name: 'Hannah Brookly', Picture: '../../../../images/employees/39.png', }, { ID: 43, Name: 'Harv Mudd', Picture: '../../../../images/employees/44.png', }, { ID: 44, Name: 'Clark Morgan', Picture: '../../../../images/employees/45.png', }, { ID: 45, Name: 'Todd Hoffman', Picture: '../../../../images/employees/46.png', }, { ID: 46, Name: 'Jackie Garmin', Picture: '../../../../images/employees/47.png', }, { ID: 47, Name: 'Lincoln Bartlett', Picture: '../../../../images/employees/49.png', }, { ID: 48, Name: 'Brad Farkus', Picture: '../../../../images/employees/50.png', }, { ID: 49, Name: 'Jenny Hobbs', Picture: '../../../../images/employees/48.png', }, { ID: 50, Name: 'Dallas Lou', Picture: '../../../../images/employees/41.png', }, { ID: 51, Name: 'Stu Pizaro', }]; export const priorities = [ { id: 1, value: 'Low' }, { id: 2, value: 'Normal' }, { id: 3, value: 'Urgent' }, { id: 4, value: 'High' }, ];
import { createApp } from 'vue'; import App from './App.vue'; createApp(App).mount('#app');
<!DOCTYPE html> <html> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.2.5/css/dx.light.css" /> <script type="module"> import * as vueCompilerSFC from "https://unpkg.com/@vue/compiler-sfc@3.3.4/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script type="module"> import * as vueCompilerSFC from "https://unpkg.com/@vue/compiler-sfc@3.3.4/dist/compiler-sfc.esm-browser.js"; window.vueCompilerSFC = vueCompilerSFC; </script> <script src="https://unpkg.com/typescript@4.2.4/lib/typescript.js"></script> <script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script> <script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.ts"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"> </div> </div> </body> </html>

<div class="settings">
<div class="column">
<div class="field">
<div class="label">Title</div>
<div class="value">
<dx-text-box
[(value)]="text"
valueChangeEvent="keyup"
[maxLength]="40"
></dx-text-box>
</div>
</div>
<div class="field">
<div class="label">Color</div>
<div class="value">
<dx-color-box
[(value)]="color"
applyValueMode="instantly"
></dx-color-box>
</div>
</div>
</div>
<div class="column">
<div class="field">
<div class="label">Width</div>
<div class="value">
<dx-number-box
[(value)]="width"
[showSpinButtons]="true"
[max]="700"
[min]="70"
format="#0px"
></dx-number-box>
</div>
</div>
<div class="field">
<div class="label">Height</div>
<div class="value">
<dx-number-box
[(value)]="height"
[showSpinButtons]="true"
[max]="700"
[min]="70"
format="#0px"
></dx-number-box>
</div>
</div>
</div>
<div class="column">
<div class="field">
<div class="label">Transform</div>
<div class="value">
<dx-select-box
[(value)]="transform"
[items]="transformations"
[grouped]="true"
displayExpr="name"
valueExpr="value"
></dx-select-box>
</div>
</div>
<div class="field">
<div class="label">Border</div>
<div class="value">
<dx-switch [(value)]="border"></dx-switch>
</div>
</div>
</div>
</div>
<div class="picture-container" [ngStyle]="{ 'outline-style': border ? 'solid' : 'none', 'outline-color': color }">
<div class="picture" [ngStyle]="{ transform: transform }">
<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
viewBox="0 0 370 260" [style.width]="width + 'px'" [style.height]="height + 'px'">
<g>
<path [ngStyle]="{ fill: color }" d="M242.694,150.939c-0.861,0.656-1.819,0.915-2.875,0.78c-0.657-1.19-1.777-1.907-2.942-2.017
c-0.34-2.188-2.7-3.496-4.938-2.304c0.002-0.013,0.007-0.023,0.007-0.034c0.554-2.685-2.365-4.228-4.579-3.51
c-1.256,0.409-2.38,0.966-3.424,1.613c0.338-1.628,0.396-3.326-0.014-5.133c-0.588-2.578-3.092-3.572-5.315-2.18
c-1.551,0.969-2.982,2.08-4.35,3.271c2.348-3.47,4.315-7.176,5.359-11.471c0.576-2.372-2.284-4.158-4.3-3.296
c-1.739,0.746-3.359,1.621-4.891,2.597c1.028-1.794,1.977-3.639,2.795-5.568c1.188-2.8-2.344-5.685-4.762-3.649
c-5.884,4.955-11.146,10.422-16.21,16.137c2.368-3.929,4.446-8.02,5.88-12.475c0.971-3.012-2.062-5.27-4.7-3.602
c-6.807,4.302-12.4,9.738-17.547,15.614c2.373-5.129,4.011-10.486,4.105-16.298c0.046-2.834-3.08-4.374-5.081-2.121
c-7.114,8.019-13.298,16.692-19.181,25.583c2.527-7.618,4.654-15.322,4.816-23.453c0.055-2.729-3.565-5.099-5.44-2.271
c-5.529,8.344-9.471,17.476-13.1,26.774c-2.178,5.585-3.809,11.945-6.341,17.672c0.18-9.319,1.896-18.642,0.355-27.959
c-0.43-2.603-4.181-3.297-5.21-0.7c-3.76,9.482-6.355,18.964-7.485,28.68c-0.451-3.893-0.767-7.823-1.205-11.737
c-0.162-1.435-2.173-1.077-2.162,0.287c0.088,11.142-1.787,23.359,3.537,33.66c1.385,2.682,5.667,1.771,5.255-1.435
c-1.41-10.988-0.719-21.349,1.779-31.545c-0.664,7.17-1.582,14.345-0.574,21.564c0.403,2.896,3.888,3.549,5.686,1.521
c5.987-6.742,7.588-15.995,10.77-24.177c1.061-2.729,2.119-5.474,3.21-8.206c-2.613,7.698-5.672,15.305-7.578,23.144
c-0.778,3.196,4.105,5.121,5.866,2.45c8.168-12.371,15.066-25.549,23.975-37.351c-4.654,11.928-14.628,22.079-19.224,33.973
c-1.449,3.755,3.225,6.041,5.776,3.348c10.146-10.694,17.808-23.962,28.452-34.138c-5.993,9.9-13.957,18.709-18.645,29.41
c-1.259,2.878,1.718,5.146,4.34,4.329c2.544-0.796,4.758-2.239,6.751-4.025c-0.333,0.748-0.666,1.496-0.956,2.271
c-1.13,2.988,2.462,6.189,5.126,3.927c10.191-8.665,16.146-22.761,26.354-31.454c-4.896,7.848-12.828,14.274-16.389,22.904
c-1.055,2.563,1.687,5.768,4.396,4.379c7.171-3.68,11.873-10.008,17.425-15.428c-2.079,3.542-5.031,7.007-6.216,10.287
c-1.188,3.286,2.343,5.792,5.157,3.954c1.553-1.017,2.907-2.308,4.194-3.695c-0.136,0.43-0.261,0.864-0.353,1.314
c-0.654,3.188,3.162,4.612,5.445,3.144c1.591-1.023,2.925-2.304,4.188-3.661c0.873,1.101,2.326,1.692,3.786,0.936
c2.022-1.046,3.709-2.297,5.277-3.746c2.425,1.307,5.39,0.883,8.549-0.673C249.2,155.244,246.641,149.062,242.694,150.939z"/>
<path [ngStyle]="{ fill: color }" d="M322.669,187.137c-8.097,4.924-14.469,12.804-22.83,17.257c2.212-3.702,4.8-7.146,7.624-10.406
c3.058-2.843,5.857-6.029,8.677-9.132c1.706-1.879-1.172-4.347-2.932-2.579c-2.564,2.569-5.096,5.157-7.515,7.829
c-1.943,1.841-3.999,3.545-6.244,4.976c0.99-1.832,2.069-3.624,3.232-5.376c7.497-6.049,13.649-14.516,20.18-20.872
c1.733-1.686-0.745-3.983-2.549-2.598c-7.552,5.798-14.69,12.652-20.334,20.489c-2.288,1.747-4.707,3.252-7.296,4.372
c0.804-1.174,1.621-2.34,2.445-3.498c6.68-6.351,12.193-14.069,19.31-20.035c1.662-1.393-0.609-4.067-2.359-2.9
c-4.592,3.063-8.573,6.739-12.211,10.751c5.188-6.566,10.552-12.994,16.365-19.044c1.526-1.593-0.642-4.114-2.297-2.587
c-10.005,9.269-18.002,22.695-29.951,29.826c2.176-3.125,4.368-6.262,6.641-9.33c6.622-6.338,12.31-14.018,18.987-19.957
c1.402-1.244-0.109-3.657-1.695-2.469c-7.606,5.703-13.782,12.688-19.487,20.1c-2.918,2.728-6.021,5.179-9.463,7.115
c2.494-3.901,5.159-7.761,8.011-11.48c7.284-6.177,12.541-14.518,20.38-20.177c1.244-0.896-0.254-2.654-1.491-1.818
c-7.211,4.88-13.556,11.072-19.212,17.86c2.254-3.781,4.627-7.625,7.241-11.251c4.974-5.408,9.816-10.986,15.573-14.943
c0.659-0.45-0.07-1.347-0.729-0.966c-6.714,3.891-12.007,9.242-16.639,15.212c-1.523,1.593-3.051,3.179-4.618,4.714
c-3.862,3.784-8.07,7.241-12.936,9.632c-5.167,2.543-1.042-1.812,0.133-3.594c1.623-2.475,3.466-4.799,5.117-7.261
c0.447-0.671-0.545-1.428-1.012-0.755c-3.087,4.437-6.63,8.503-8.825,13.484c-0.227,0.528,0.359,1.113,0.878,0.983
c5.876-1.441,10.736-4.625,15.159-8.543c-2.029,3.102-3.979,6.257-5.94,9.37c-0.412,0.655-0.092,1.452,0.479,1.802
c-2.502,3.461-4.861,6.992-7.086,10.531c-0.866,1.377,0.357,3.013,1.931,2.449c2.151-0.76,4.156-1.756,6.067-2.889
c-1.341,1.865-2.668,3.732-4.011,5.595c-1.095,1.517,0.686,3.02,2.166,2.486c2.67-0.959,5.139-2.227,7.457-3.717
c-1.781,2.26-3.562,4.519-5.356,6.77c-1.131,1.417,0.267,4.067,2.161,3.141c0.567-0.278,1.113-0.578,1.662-0.885
c0.004,1.2,0.982,2.343,2.359,2.097c2.535-0.44,4.901-1.246,7.143-2.305c-0.772,1.439-1.495,2.895-2.153,4.383
c-0.804,1.818,1.226,3.325,2.854,2.697c0.464-0.174,0.906-0.365,1.355-0.558c-1.36,2.101-2.602,4.287-3.689,6.588
c-0.851,1.797,1.08,3.18,2.68,2.717c6.369-1.869,11.415-5.935,16.325-10.239c-2.256,2.719-4.413,5.508-6.153,8.615
c-1.165,2.087,0.938,4.284,3.019,2.902c5.273-3.529,10.2-7.469,14.918-11.707c1.796-1.617-0.838-4.086-2.64-2.596
c-1.699,1.409-3.454,2.753-5.223,4.072c3.086-3.878,6.344-7.644,8.978-11.85C326.322,188.001,324.217,186.192,322.669,187.137z"/>
</g>
<path class="base-color" d="M317.701,212.845c4.012-1.212,7.902-2.737,11.738-4.424c1.991-0.87,12.222-3.949,8.456-7.836
c-0.187-0.196-0.381-0.396-0.571-0.592c-0.17-0.175-0.355-0.311-0.545-0.42c-0.413-8.474-4.351-17.478-7.564-24.812
c-5.031-11.492-11.536-22.25-17.854-33.058c-0.841-1.442-3.164-0.088-2.521,1.4c4.231,9.842,8.829,19.522,12.942,29.414
c2.032,4.886,3.711,9.903,5.401,14.915c1.589,4.686,2.145,9.611,3.451,14.327c-4.359,2.156-8.869,3.975-13.496,5.49
c-11.07,3.639-21.057,3.271-31.982,1.128c-3.475-11.145-7.065-22.163-9.174-33.704c-1.021-5.609-1.942-18.377-8.747-20.388
c-0.817-0.24-1.473,0.584-0.987,1.31c4.865,7.29,5.378,16.597,6.56,25.039c1.689,12.063,6.062,23.931,10.05,35.392
c0.841,2.414,4.835,1.094,4.237-1.359c-0.144-0.659-0.319-1.313-0.508-1.958c0.356,1.234,6.464,2.179,7.606,2.379
c2.694,0.479,5.056-0.237,7.74-0.214C307.563,214.931,312.235,214.5,317.701,212.845z"/>
<path class="base-color" d="M300.838,217.832c-2.585,2.274-5.951,4.116-8.358,5.857c-4.705,3.41-9.471,6.727-14.177,10.128
c-4.029,2.908-8.895,5.627-10.707,10.53c-1.896,5.128,2.568,10.222,5.738,13.62c2.439,2.613,6.802-0.9,4.33-3.52
c-2.146-2.271-5.874-5.509-4.603-9.014c0.81-2.222,3.969-3.988,5.781-5.322c4.099-3.018,8.044-6.236,12.115-9.29
c1.69-1.263,4.956-4.708,8.838-8.652C299.472,220.698,301.54,219.004,300.838,217.832z"/>
<path class="base-color" d="M342.682,227.619c-3.253-2.264-6.922-3.989-10.304-6.049c-2.18-1.319-8.151-4.349-8.622-7.236
c-0.069-0.429-0.712-0.568-0.809-0.077c-1.565,7.942,14.088,15.609,19.435,19.546c9.579,7.045,15.489,3.578,23.84-3.453
c2.815-2.37-0.749-6.932-3.526-4.504c-2.64,2.319-5.289,4.988-8.496,6.521C350.41,234.176,345.41,229.514,342.682,227.619z"/>
<path class="base-color" d="M214.979,166.093c4.312-2.351,8.693,0.412,12.641,2.078c11.557,4.872,22.296-5.731,32.651-10.131
c-4.168,8.78-13.598,13.942-18.092,22.682c-4.657,9.057-4.271,24.715-1.842,34.31c0.677,2.671,4.112,1.457,4.66-0.543
c3.313-12.039-3.04-24.435,4.719-35.8c5.013-7.337,12.154-11.86,14.251-20.997c0.088-0.389,0.017-0.742-0.142-1.038
c1.079-0.691,1.316-1.916,0.977-3.042c1.59,0.269,3.189,0.497,4.796,0.674c0.525,0.059,0.966-0.057,1.32-0.272
c10.754,2.613,23.923-4.089,32.13-9.7c13.709-9.356,25.461-25.249,24.938-42.493c-0.072-2.376-3.754-2.361-4.083-0.087
c-0.03,0.171-0.063,0.329-0.089,0.498c-0.132-0.001-0.264-0.002-0.407,0.018c-5.358,0.786-10.965-0.77-16.082-2.227
c-6.263-1.777-16.01-4.803-20.914-10.2c6.757-0.563,14.314-4.186,20.443-6.139c7.033-2.238,16.689-6.199,18.846-14.035
c0.087-0.306,0.059-0.586-0.013-0.854c0.554-0.112,1.025-0.655,0.718-1.325c-8.674-19.038-22.907-35.871-44.299-40.051
c-7.498-1.462-15.321-1.026-22.89,0.831c8.994-4.625,14.334-16.99,15.459-26.151c0.101-0.774-1.117-1.255-1.376-0.431
c-3.28,10.5-8.601,20.091-17.919,25.867c5.314-6.491,8.1-15.095,5.063-22.819c-0.322-0.815-1.681-0.534-1.52,0.365
c1.985,11.029-4.558,20.579-12.412,27.684c-8.391,4.007-15.936,9.705-21.643,16.432c-14.94,17.625-17.278,43.629-10.302,64.975
c0.455,1.39,0.965,2.741,1.516,4.061c-3.083-1.926-6.544-3.436-9.37-3.074c-8.88,1.138-15.539,8.628-24.948,5.51
c-8.411-2.789-18.34-13.081-27.478-9.112c-0.065-0.065-0.147-0.12-0.246-0.147c-0.925-1.195-2.797-1.665-4.34-0.109
c-11.941,12.04-27.155,20.108-34.271,36.237c-3.306,7.491-2.556,15.358-1.783,23.236c1.061,10.823-1.103,19.744-4.998,29.719
c-0.887,2.271,2.267,4.235,3.749,2.172c0.504-0.697,0.968-1.424,1.413-2.157c1.188,0.28,2.537-0.104,2.986-1.448
c1.675-5.017,6.751-8.493,10.772-11.579c5.395-4.146,10.948-7.852,17.077-10.832c8.009-3.896,16.557-4.885,25.118-2.325
c6.473,1.934,13.089,4.027,19.94,3.728c5.789-0.255,11.862-1.435,16.487-5.133C209.133,170.566,211.635,167.917,214.979,166.093z
M227.593,53.307c11.969-16.62,35.721-25.171,55.607-21.458c18.907,3.532,32.337,19.335,40.96,35.539
c-0.639-0.147-1.33-0.009-1.794,0.565c-5.699,7.057-12.789,10.055-21.176,12.926c-5.297,1.819-12.751,3.19-17.37,6.64
c-0.375,0.283-0.543,0.658-0.56,1.037c-0.373,0.36-0.57,0.896-0.328,1.499c2.829,7.135,11.316,10.685,17.984,13.196
c6.637,2.499,14.562,5.017,21.817,4.314c-3.052,12.091-9.787,21.721-19.726,29.922c-4.969,4.105-10.603,7.303-16.603,9.623
c-6.353,2.454-12.081,2.556-18.568,1.839c-9.433-3.021-18.879-4.926-27.713-9.897c-10.28-5.788-16.694-15.624-20.678-26.45
C212.249,93.038,215.46,70.149,227.593,53.307z M175.879,170.373c-7.56-1.841-13.882-3.9-21.783-2.874
c-7.591,0.985-14.645,4.913-21.072,8.818c-4.326,2.628-9.895,6.271-14.293,10.607c0.317-1.888,0.512-3.791,0.589-5.69
c0.346-8.505-2.253-16.858-1.821-25.298c0.946-18.421,24.512-29.528,36.115-40.752c0.219-0.213,0.383-0.434,0.528-0.657
c11.186-2.512,18.826,7.631,29.447,10.506c5.98,1.619,11.612-1.209,16.784-3.834c5.661-2.877,9.759-1.855,14.377,1.982
c2.036,1.691,3.1,2.411,5.215,2.553c8.45,13.568,22.534,22.408,38.233,26.468c-5.845,2.355-11.021,5.918-16.671,8.755
c-4.489,2.254-8.621,2.734-13.376,0.738c-2.844-1.197-5.762-2.781-8.947-2.698c-6.324,0.168-10.757,3.752-15.262,7.843
C196.13,173.934,185.343,172.68,175.879,170.373z"/>
<path class="base-color" d="M269.751,65.55c1.737,0.646,2.911,2.334,3.942,3.798c0.943,1.344,1.581,3.502,3.395,3.876
c0.457,0.093,1.009-0.025,1.238-0.482c1.069-2.113-0.876-4.421-2.086-6.046c-1.401-1.88-3.325-3.415-5.691-3.793
C269.02,62.659,268.238,64.991,269.751,65.55z"/>
<path class="base-color" d="M290.724,56.965c1.394,1.457,2.192,3.59,3.796,4.768c0.447,0.327,1.226,0.117,1.269-0.5
c0.152-2.119-1.575-3.82-2.916-5.296c-1.728-1.887-3.806-3.33-5.808-4.887c-0.77-0.59-1.552,0.453-0.934,1.124
C287.637,53.8,289.195,55.372,290.724,56.965z"/>
<path class="base-color" d="M320.685,141.241c-0.073,0.022-0.04,0.131,0.033,0.108C320.789,141.327,320.753,141.221,320.685,141.241z"/>
<path class="base-color" d="M316.826,139.985c5.269,2.261,13.137,1.209,18.645-0.172c6.092-1.522,10.875-6.212,14.12-11.379
c3.974-6.322,6.535-13.217,7.767-20.576c0.821-4.893,1.685-12.207-2.59-15.771c-1.544-1.288-3.654-0.581-3.896,1.486
c-0.451,3.946,0.588,7.867,0.285,11.872c-0.473,6.239-2.802,12.383-5.47,17.976c-2.854,5.979-6.823,10.299-13.314,12.346
c-5.033,1.585-11.236,0.154-15.66,3.212C316.344,139.23,316.425,139.815,316.826,139.985z"/>
<path class="base-color" d="M52.903,143.83c20.248-4.477,40.597-7.995,60.43-14.158c1.264-0.392,0.665-2.422-0.605-2.218
c-20.347,3.25-40.276,8.063-60.271,13.004C50.368,140.978,50.743,144.307,52.903,143.83z"/>
<path class="base-color" d="M6.124,192.832c16.139-5.448,32.71-9.904,48.688-15.765c1.176-0.432,0.649-2.318-0.575-2.113
c-16.805,2.781-33.665,8.429-49.186,15.342C3.417,191.024,4.458,193.393,6.124,192.832z"/>
<path class="base-color" d="M66.057,214.314c-12.354,4.633-24.47,9.855-36.52,15.23c-8.521,3.801-19.409,7.234-26.205,13.937
c-0.914,0.902-0.667,2.449,0.719,2.692c2.678,0.469,4.972-1.073,7.249-2.292c5.776-3.087,12.006-5.505,17.973-8.2
c12.837-5.798,25.609-11.896,37.814-18.934C68.531,215.918,67.695,213.699,66.057,214.314z"/>
</svg>
</div>
<div [ngStyle]="{ color: color }" class="text">{{ text }}</div>
</div>
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import {
DxSelectBoxModule,
DxTextBoxModule,
DxColorBoxModule,
DxNumberBoxModule,
DxSwitchModule
} from 'devextreme-angular';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
preserveWhitespaces: true
})
export class AppComponent {
color = '#f05b41';
text = 'UI Superhero';
_width = 370;
_height = 260;
transform = 'scaleX(1)';
border = false;
get width() {
return this._width;
}
set width(value: number) {
this._width = value;
Promise.resolve().then(() => { this._height = value*26/37; });
}
get height() {
return this._height;
}
set height(value: number) {
this._height = value;
Promise.resolve().then(() => { this._width = value*37/26; });
}
transformations = [
{
key: "Flip",
items: [
{ name: "0 degrees", value: "scaleX(1)" },
{ name: "180 degrees", value: "scaleX(-1)" }
]
},
{
key: "Rotate",
items: [
{ name: "0 degrees", value: "rotate(0)" },
{ name: "15 degrees", value: "rotate(15deg)" },
{ name: "30 degrees", value: "rotate(30deg)" },
{ name: "-15 degrees", value: "rotate(-15deg)" },
{ name: "-30 degrees", value: "rotate(-30deg)" }
]
}
];
constructor() { }
}
@NgModule({
imports: [
BrowserModule,
DxSelectBoxModule,
DxTextBoxModule,
DxColorBoxModule,
DxNumberBoxModule,
DxSwitchModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .settings {
text-align: center;
background-color: rgba(191, 191, 191, 0.15);
}
::ng-deep .settings .column {
width: 26%;
display: inline-block;
margin: 15px 3%;
text-align: left;
}
::ng-deep .settings .column .field {
padding: 5px 0;
}
::ng-deep .settings .column .field > div {
display: inline-block;
vertical-align: middle;
}
::ng-deep .settings .column .field .label {
width: 75px;
}
::ng-deep .settings .column .field .value {
width: 60%;
}
::ng-deep .dx-theme-generic .settings .column .field .value .dx-switch {
height: 36px;
}
::ng-deep .dx-theme-material .settings .column .field .value .dx-switch {
height: 32px;
}
::ng-deep .dx-theme-material .settings .column .field .label {
padding-top: 2px;
}
::ng-deep .picture-container {
text-align: center;
margin: 20px 2px 5px 2px;
padding-top: 20px;
overflow: hidden;
outline-width: 2px;
outline-style: none;
outline-color: #f05b41;
}
::ng-deep .picture {
transition: transform ease-in-out 400ms;
display: inline-block;
padding: 10px;
}
::ng-deep .color {
fill: #f05b41;
}
::ng-deep .text {
text-align: center;
color: #f05b41;
font-size: 30px;
padding: 30px;
white-space: nowrap;
text-overflow: ellipsis;
overflow: hidden;
}
::ng-deep .dx-color-scheme-light .base-color, .dx-color-scheme-carmine .base-color, .dx-color-scheme-softblue .base-color {
fill: #333;
}
::ng-deep .dx-color-scheme-contrast .base-color, .dx-color-scheme-darkmoon .base-color {
fill: #fff;
}
::ng-deep .dx-color-scheme-dark .base-color {
fill: #dedede;
}
::ng-deep .dx-color-scheme-darkviolet .base-color {
fill: #f5f6f7;
}
::ng-deep .dx-color-scheme-greenmist .base-color {
fill: #28484f;
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.0.3/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8',
'devextreme-angular': 'npm:devextreme-angular@20.2.4',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>